using System;
using System.Windows.Forms;

using Graphene.Processing;

namespace Graphene
{
    partial class MainForm
    {
        /// <summary>
        /// Required designer variable.
        /// </summary>
        private System.ComponentModel.IContainer components = null;



        /**
         * Returns the ImageProcessor that is selected for the markers' 3D position computation.
         */
        public MultiColorImageProcessor SourceProcessor1For3DDropdownSelectedItem()
        {
            if (!sourceProcessor1For3DDropdown.SelectedItem.Equals(SELECTION_NONE))
            {
                return (MultiColorImageProcessor)sourceProcessor1For3DDropdown.SelectedItem;
            }
            return null;
        }

        /**
         * Registers a new eventhandler for the event when a new value is selected in the dropbox
         * We are talking about the dropdown list in which we can select devices. Primary devices for 3D position computation.
         */
        public void SourceProcessor1For3DDropdown_SetSelectedIndexChangedHandler(System.EventHandler handler)
        {
            sourceProcessor1For3DDropdown.SelectedIndexChanged += handler;
        }

        /**
         * Returns the ImageProcessor that is selected for the markers' 3D position computation.
         */
        public MultiColorImageProcessor SourceProcessor2For3DDropdownSelectedItem()
        {
            if (!sourceProcessor2For3DDropdown.SelectedItem.Equals(SELECTION_NONE))
            {
                return (MultiColorImageProcessor)sourceProcessor2For3DDropdown.SelectedItem;
            }
            return null;
        }

        /**
         * Registers a new eventhandler for the event when a new value is selected in the dropbox
         * We are talking about the dropdown list in which we can select devices. Primary devices for 3D position computation.
         */
        public void SourceProcessor2For3DDropdown_SetSelectedIndexChangedHandler(System.EventHandler handler)
        {
            sourceProcessor2For3DDropdown.SelectedIndexChanged += handler;
        }

        public void StartStop3DProcessingButton_SetCheckedChangedHandler(System.EventHandler handler)
        {
            this.startStop3DProcessingButton.CheckedChanged += handler;
        }

        /** Registers a method that will be called when the user modifies one of the angle or the position numerics. */
        public void SecondaryDeviceAllNumerics_SetChangedHandler(System.EventHandler handler)
        {
            this.secondaryDeviceAngleXNumeric.ValueChanged += handler;
            this.secondaryDeviceAngleYNumeric.ValueChanged += handler;
            this.secondaryDeviceAngleZNumeric.ValueChanged += handler;
            this.secondaryDevicePositionXNumeric.ValueChanged += handler;
            this.secondaryDevicePositionYNumeric.ValueChanged += handler;
            this.secondaryDevicePositionZNumeric.ValueChanged += handler;
        }



        /// <summary>
        /// Clean up any resources being used.
        /// </summary>
        /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
        protected override void Dispose(bool disposing)
        {
            if (disposing && (components != null))
            {
                components.Dispose();
            }
            base.Dispose(disposing);
        }
        //this.directXPanel1 = new DirectXPanel(this.model);
        #region Windows Form Designer generated code

        /// <summary>
        /// Required method for Designer support - do not modify
        /// the contents of this method with the code editor.
        /// </summary>
        private void InitializeComponent()
        {
            System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(MainForm));
            //this.directXPanel1 = new System.Windows.Forms.Panel();
            this.directXPanel1 = new DirectXPanel(this.model);
            this.menuStrip1 = new System.Windows.Forms.MenuStrip();
            this.fileToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            this.exitToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            this.helpToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            this.aboutToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            this.tabControl1 = new System.Windows.Forms.TabControl();
            this.tabPage1 = new System.Windows.Forms.TabPage();
            this.panel1 = new System.Windows.Forms.Panel();
            this.panel2 = new System.Windows.Forms.Panel();
            this.groupBox6 = new System.Windows.Forms.GroupBox();
            this.videoDeviceDropdown = new System.Windows.Forms.ComboBox();
            this.groupBox5 = new System.Windows.Forms.GroupBox();
            this.longestProcessTimeLabel = new System.Windows.Forms.Label();
            this.pPSLabel = new System.Windows.Forms.Label();
            this.processorSpeedLabel = new System.Windows.Forms.Label();
            this.hideUnhideProcessorButton = new System.Windows.Forms.Button();
            this.playPauseProcessorButton = new System.Windows.Forms.Button();
            this.groupBox4 = new System.Windows.Forms.GroupBox();
            this.fPSLabel = new System.Windows.Forms.Label();
            this.hideUnhideVideoButton = new System.Windows.Forms.Button();
            this.playPauseVideoButton = new System.Windows.Forms.Button();
            this.groupBox3 = new System.Windows.Forms.GroupBox();
            this.imageProcessorPictureBox = new System.Windows.Forms.PictureBox();
            this.groupBox2 = new System.Windows.Forms.GroupBox();
            this.videoSourcePictureBox = new System.Windows.Forms.PictureBox();
            this.tabPage2 = new System.Windows.Forms.TabPage();
            this.panel3 = new System.Windows.Forms.Panel();
            this.groupBox8 = new System.Windows.Forms.GroupBox();
            this.startStop3DProcessingButton = new System.Windows.Forms.CheckBox();
            this.secondaryDeviceAngleZNumeric = new System.Windows.Forms.NumericUpDown();
            this.secondaryDeviceAngleYNumeric = new System.Windows.Forms.NumericUpDown();
            this.secondaryDeviceAngleXNumeric = new System.Windows.Forms.NumericUpDown();
            this.label4 = new System.Windows.Forms.Label();
            this.label3 = new System.Windows.Forms.Label();
            this.secondaryDevicePositionZNumeric = new System.Windows.Forms.NumericUpDown();
            this.secondaryDevicePositionYNumeric = new System.Windows.Forms.NumericUpDown();
            this.secondaryDevicePositionXNumeric = new System.Windows.Forms.NumericUpDown();
            this.label2 = new System.Windows.Forms.Label();
            this.label1 = new System.Windows.Forms.Label();
            this.sourceProcessor2For3DDropdown = new System.Windows.Forms.ComboBox();
            this.sourceProcessor1For3DDropdown = new System.Windows.Forms.ComboBox();
            this.mouselookCheckbox = new System.Windows.Forms.CheckBox();
            this.groupBox7 = new System.Windows.Forms.GroupBox();
            this.markerCalibrationTabpage = new System.Windows.Forms.TabPage();
            this.panel4 = new System.Windows.Forms.Panel();
            this.groupBox11 = new System.Windows.Forms.GroupBox();
            this.label15 = new System.Windows.Forms.Label();
            this.button4 = new System.Windows.Forms.Button();
            this.addNewMarkerButtonForMarkerCalibration = new System.Windows.Forms.Button();
            this.label14 = new System.Windows.Forms.Label();
            this.markers3DGrid = new System.Windows.Forms.DataGridView();
            this.namePrimaryColumn = new System.Windows.Forms.DataGridViewTextBoxColumn();
            this.colorPrimaryColumn = new System.Windows.Forms.DataGridViewImageColumn();
            this.tolerancePrimaryColumn = new System.Windows.Forms.DataGridViewTextBoxColumn();
            this.nameSecondaryColumn = new System.Windows.Forms.DataGridViewTextBoxColumn();
            this.colorSecondaryColumn = new System.Windows.Forms.DataGridViewImageColumn();
            this.toleranceSecondaryColumn = new System.Windows.Forms.DataGridViewTextBoxColumn();
            this.groupBox10 = new System.Windows.Forms.GroupBox();
            this.clearSamplesButtonForMarkerCalibration = new System.Windows.Forms.Button();
            this.removeSampleButtonForMarkerCalibration = new System.Windows.Forms.Button();
            this.toleranceSecondaryLabel = new System.Windows.Forms.Label();
            this.tolerancePrimaryLabel = new System.Windows.Forms.Label();
            this.toleranceSecondaryTrackbar = new System.Windows.Forms.TrackBar();
            this.tolerancePrimaryTrackbar = new System.Windows.Forms.TrackBar();
            this.colorSamplePictureboxSecondaryForMarkerCalibration = new System.Windows.Forms.PictureBox();
            this.colorSamplePictureboxPrimaryForMarkerCalibration = new System.Windows.Forms.PictureBox();
            this.addSampleButtonForMarkerCalibration = new System.Windows.Forms.Button();
            this.sampleListboxForMarkerCalibration = new System.Windows.Forms.ListBox();
            this.label13 = new System.Windows.Forms.Label();
            this.acceptableSecondaryLabel = new System.Windows.Forms.Label();
            this.acceptablePrimaryLabel = new System.Windows.Forms.Label();
            this.imageInSecondaryFilteredPictureBoxForMarkerCalibration = new System.Windows.Forms.PictureBox();
            this.imageInPrimaryFilteredPictureBoxForMarkerCalibration = new System.Windows.Forms.PictureBox();
            this.label7 = new System.Windows.Forms.Label();
            this.groupBox9 = new System.Windows.Forms.GroupBox();
            this.refreshVideoListButtonForMarkerCalibration = new System.Windows.Forms.Button();
            this.label10 = new System.Windows.Forms.Label();
            this.label9 = new System.Windows.Forms.Label();
            this.label8 = new System.Windows.Forms.Label();
            this.label6 = new System.Windows.Forms.Label();
            this.videoListComboboxSecondaryForMarkerCalibration = new System.Windows.Forms.ComboBox();
            this.label5 = new System.Windows.Forms.Label();
            this.videoListComboboxPrimaryForMarkerCalibration = new System.Windows.Forms.ComboBox();
            this.videoSecondaryPictureboxForMarkerCalibration = new System.Windows.Forms.PictureBox();
            this.startStopCheckboxForMarkerCalibration = new System.Windows.Forms.CheckBox();
            this.videoPrimaryPictureboxForMarkerCalibration = new System.Windows.Forms.PictureBox();
            this.processing3DTabpage = new System.Windows.Forms.TabPage();
            this.panel5 = new System.Windows.Forms.Panel();
            this.groupBox12 = new System.Windows.Forms.GroupBox();
            this.label11 = new System.Windows.Forms.Label();
            this.label12 = new System.Windows.Forms.Label();
            this.markerGridForStereoProcessing = new System.Windows.Forms.DataGridView();
            this.groupBox13 = new System.Windows.Forms.GroupBox();
            this.label17 = new System.Windows.Forms.Label();
            this.label16 = new System.Windows.Forms.Label();
            this.pictureBox1 = new System.Windows.Forms.PictureBox();
            this.label19 = new System.Windows.Forms.Label();
            this.label20 = new System.Windows.Forms.Label();
            this.processedSecondaryPictureboxFor3DProcessing = new System.Windows.Forms.PictureBox();
            this.processedPrimaryPictureboxFor3DProcessing = new System.Windows.Forms.PictureBox();
            this.label21 = new System.Windows.Forms.Label();
            this.groupBox14 = new System.Windows.Forms.GroupBox();
            this.refreshVideoListButtonFor3DProcessing = new System.Windows.Forms.Button();
            this.label24 = new System.Windows.Forms.Label();
            this.label25 = new System.Windows.Forms.Label();
            this.videoListSecondaryComboboxFor3DProcessing = new System.Windows.Forms.ComboBox();
            this.label26 = new System.Windows.Forms.Label();
            this.videoListPrimaryComboboxFor3DProcessing = new System.Windows.Forms.ComboBox();
            this.videoSecondaryPictureboxFor3DProcessing = new System.Windows.Forms.PictureBox();
            this.startStopCheckboxFor3DProcessing = new System.Windows.Forms.CheckBox();
            this.videoPrimaryPictureboxFor3DProcessing = new System.Windows.Forms.PictureBox();
            this.groupBox1 = new System.Windows.Forms.GroupBox();
            this.dataGridViewCheckBoxColumn3 = new System.Windows.Forms.DataGridViewCheckBoxColumn();
            this.dataGridViewTextBoxColumn1 = new System.Windows.Forms.DataGridViewTextBoxColumn();
            this.dataGridViewImageColumn1 = new System.Windows.Forms.DataGridViewImageColumn();
            this.dataGridViewTextBoxColumn2 = new System.Windows.Forms.DataGridViewTextBoxColumn();
            this.dataGridViewTextBoxColumn3 = new System.Windows.Forms.DataGridViewTextBoxColumn();
            this.dataGridViewImageColumn2 = new System.Windows.Forms.DataGridViewImageColumn();
            this.dataGridViewTextBoxColumn4 = new System.Windows.Forms.DataGridViewTextBoxColumn();
            this.menuStrip1.SuspendLayout();
            this.tabControl1.SuspendLayout();
            this.tabPage1.SuspendLayout();
            this.panel1.SuspendLayout();
            this.panel2.SuspendLayout();
            this.groupBox6.SuspendLayout();
            this.groupBox5.SuspendLayout();
            this.groupBox4.SuspendLayout();
            this.groupBox3.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.imageProcessorPictureBox)).BeginInit();
            this.groupBox2.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.videoSourcePictureBox)).BeginInit();
            this.tabPage2.SuspendLayout();
            this.panel3.SuspendLayout();
            this.groupBox8.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.secondaryDeviceAngleZNumeric)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.secondaryDeviceAngleYNumeric)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.secondaryDeviceAngleXNumeric)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.secondaryDevicePositionZNumeric)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.secondaryDevicePositionYNumeric)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.secondaryDevicePositionXNumeric)).BeginInit();
            this.groupBox7.SuspendLayout();
            this.markerCalibrationTabpage.SuspendLayout();
            this.panel4.SuspendLayout();
            this.groupBox11.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.markers3DGrid)).BeginInit();
            this.groupBox10.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.toleranceSecondaryTrackbar)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.tolerancePrimaryTrackbar)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.colorSamplePictureboxSecondaryForMarkerCalibration)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.colorSamplePictureboxPrimaryForMarkerCalibration)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.imageInSecondaryFilteredPictureBoxForMarkerCalibration)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.imageInPrimaryFilteredPictureBoxForMarkerCalibration)).BeginInit();
            this.groupBox9.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.videoSecondaryPictureboxForMarkerCalibration)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.videoPrimaryPictureboxForMarkerCalibration)).BeginInit();
            this.processing3DTabpage.SuspendLayout();
            this.panel5.SuspendLayout();
            this.groupBox12.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.markerGridForStereoProcessing)).BeginInit();
            this.groupBox13.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.pictureBox1)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.processedSecondaryPictureboxFor3DProcessing)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.processedPrimaryPictureboxFor3DProcessing)).BeginInit();
            this.groupBox14.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.videoSecondaryPictureboxFor3DProcessing)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.videoPrimaryPictureboxFor3DProcessing)).BeginInit();
            this.SuspendLayout();
            // 
            // directXPanel1
            // 
            this.directXPanel1.BackgroundImage = global::Graphene.Properties.Resources.disconnected;
            this.directXPanel1.Location = new System.Drawing.Point(6, 19);
            this.directXPanel1.Name = "directXPanel1";
            this.directXPanel1.Size = new System.Drawing.Size(320, 240);
            this.directXPanel1.TabIndex = 0;
            // 
            // menuStrip1
            // 
            this.menuStrip1.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(20)))), ((int)(((byte)(20)))), ((int)(((byte)(20)))));
            this.menuStrip1.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.fileToolStripMenuItem,
            this.helpToolStripMenuItem});
            this.menuStrip1.Location = new System.Drawing.Point(0, 0);
            this.menuStrip1.Name = "menuStrip1";
            this.menuStrip1.Size = new System.Drawing.Size(614, 24);
            this.menuStrip1.TabIndex = 8;
            this.menuStrip1.Text = "menuStrip1";
            // 
            // fileToolStripMenuItem
            // 
            this.fileToolStripMenuItem.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.exitToolStripMenuItem});
            this.fileToolStripMenuItem.ForeColor = System.Drawing.Color.FromArgb(((int)(((byte)(224)))), ((int)(((byte)(224)))), ((int)(((byte)(224)))));
            this.fileToolStripMenuItem.Name = "fileToolStripMenuItem";
            this.fileToolStripMenuItem.Size = new System.Drawing.Size(37, 20);
            this.fileToolStripMenuItem.Text = "File";
            // 
            // exitToolStripMenuItem
            // 
            this.exitToolStripMenuItem.Name = "exitToolStripMenuItem";
            this.exitToolStripMenuItem.Size = new System.Drawing.Size(92, 22);
            this.exitToolStripMenuItem.Text = "Exit";
            // 
            // helpToolStripMenuItem
            // 
            this.helpToolStripMenuItem.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.aboutToolStripMenuItem});
            this.helpToolStripMenuItem.ForeColor = System.Drawing.Color.FromArgb(((int)(((byte)(224)))), ((int)(((byte)(224)))), ((int)(((byte)(224)))));
            this.helpToolStripMenuItem.Name = "helpToolStripMenuItem";
            this.helpToolStripMenuItem.Size = new System.Drawing.Size(44, 20);
            this.helpToolStripMenuItem.Text = "Help";
            // 
            // aboutToolStripMenuItem
            // 
            this.aboutToolStripMenuItem.Name = "aboutToolStripMenuItem";
            this.aboutToolStripMenuItem.Size = new System.Drawing.Size(107, 22);
            this.aboutToolStripMenuItem.Text = "About";
            // 
            // tabControl1
            // 
            this.tabControl1.Controls.Add(this.tabPage1);
            this.tabControl1.Controls.Add(this.tabPage2);
            this.tabControl1.Controls.Add(this.markerCalibrationTabpage);
            this.tabControl1.Controls.Add(this.processing3DTabpage);
            this.tabControl1.ItemSize = new System.Drawing.Size(120, 25);
            this.tabControl1.Location = new System.Drawing.Point(0, 27);
            this.tabControl1.Multiline = true;
            this.tabControl1.Name = "tabControl1";
            this.tabControl1.SelectedIndex = 0;
            this.tabControl1.Size = new System.Drawing.Size(614, 637);
            this.tabControl1.SizeMode = System.Windows.Forms.TabSizeMode.Fixed;
            this.tabControl1.TabIndex = 1;
            // 
            // tabPage1
            // 
            this.tabPage1.BackColor = System.Drawing.Color.White;
            this.tabPage1.Controls.Add(this.panel1);
            this.tabPage1.Location = new System.Drawing.Point(4, 29);
            this.tabPage1.Name = "tabPage1";
            this.tabPage1.Padding = new System.Windows.Forms.Padding(3);
            this.tabPage1.Size = new System.Drawing.Size(606, 604);
            this.tabPage1.TabIndex = 0;
            this.tabPage1.Text = "Overview";
            this.tabPage1.ToolTipText = "Input Video Device Settings";
            // 
            // panel1
            // 
            this.panel1.BackColor = System.Drawing.Color.White;
            this.panel1.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
            this.panel1.Controls.Add(this.panel2);
            this.panel1.Location = new System.Drawing.Point(6, 6);
            this.panel1.Name = "panel1";
            this.panel1.Size = new System.Drawing.Size(594, 593);
            this.panel1.TabIndex = 7;
            // 
            // panel2
            // 
            this.panel2.Controls.Add(this.groupBox6);
            this.panel2.Controls.Add(this.groupBox5);
            this.panel2.Controls.Add(this.groupBox4);
            this.panel2.Controls.Add(this.groupBox3);
            this.panel2.Controls.Add(this.groupBox2);
            this.panel2.Location = new System.Drawing.Point(3, 4);
            this.panel2.Name = "panel2";
            this.panel2.Size = new System.Drawing.Size(586, 584);
            this.panel2.TabIndex = 1;
            // 
            // groupBox6
            // 
            this.groupBox6.Controls.Add(this.videoDeviceDropdown);
            this.groupBox6.Location = new System.Drawing.Point(3, 3);
            this.groupBox6.Name = "groupBox6";
            this.groupBox6.Size = new System.Drawing.Size(580, 47);
            this.groupBox6.TabIndex = 8;
            this.groupBox6.TabStop = false;
            this.groupBox6.Text = "Video Input Devices";
            // 
            // videoDeviceDropdown
            // 
            this.videoDeviceDropdown.FormattingEnabled = true;
            this.videoDeviceDropdown.Location = new System.Drawing.Point(6, 19);
            this.videoDeviceDropdown.Name = "videoDeviceDropdown";
            this.videoDeviceDropdown.Size = new System.Drawing.Size(568, 21);
            this.videoDeviceDropdown.TabIndex = 0;
            // 
            // groupBox5
            // 
            this.groupBox5.Controls.Add(this.longestProcessTimeLabel);
            this.groupBox5.Controls.Add(this.pPSLabel);
            this.groupBox5.Controls.Add(this.processorSpeedLabel);
            this.groupBox5.Controls.Add(this.hideUnhideProcessorButton);
            this.groupBox5.Controls.Add(this.playPauseProcessorButton);
            this.groupBox5.Location = new System.Drawing.Point(341, 314);
            this.groupBox5.Name = "groupBox5";
            this.groupBox5.Size = new System.Drawing.Size(242, 266);
            this.groupBox5.TabIndex = 7;
            this.groupBox5.TabStop = false;
            this.groupBox5.Text = "Processing Info";
            // 
            // longestProcessTimeLabel
            // 
            this.longestProcessTimeLabel.AutoSize = true;
            this.longestProcessTimeLabel.Location = new System.Drawing.Point(7, 33);
            this.longestProcessTimeLabel.Name = "longestProcessTimeLabel";
            this.longestProcessTimeLabel.Size = new System.Drawing.Size(151, 13);
            this.longestProcessTimeLabel.TabIndex = 5;
            this.longestProcessTimeLabel.Text = "Longest processing took -1ms.";
            // 
            // pPSLabel
            // 
            this.pPSLabel.AutoSize = true;
            this.pPSLabel.Location = new System.Drawing.Point(7, 46);
            this.pPSLabel.Name = "pPSLabel";
            this.pPSLabel.Size = new System.Drawing.Size(173, 13);
            this.pPSLabel.TabIndex = 4;
            this.pPSLabel.Text = "Processing at 0 frames per second.";
            // 
            // processorSpeedLabel
            // 
            this.processorSpeedLabel.AutoSize = true;
            this.processorSpeedLabel.Location = new System.Drawing.Point(7, 20);
            this.processorSpeedLabel.Name = "processorSpeedLabel";
            this.processorSpeedLabel.Size = new System.Drawing.Size(201, 13);
            this.processorSpeedLabel.TabIndex = 3;
            this.processorSpeedLabel.Text = "Processed in average in 0.0 milliseconds.";
            // 
            // hideUnhideProcessorButton
            // 
            this.hideUnhideProcessorButton.Location = new System.Drawing.Point(124, 229);
            this.hideUnhideProcessorButton.Name = "hideUnhideProcessorButton";
            this.hideUnhideProcessorButton.Size = new System.Drawing.Size(112, 30);
            this.hideUnhideProcessorButton.TabIndex = 2;
            this.hideUnhideProcessorButton.Text = "Hide";
            this.hideUnhideProcessorButton.UseVisualStyleBackColor = true;
            // 
            // playPauseProcessorButton
            // 
            this.playPauseProcessorButton.Location = new System.Drawing.Point(6, 229);
            this.playPauseProcessorButton.Name = "playPauseProcessorButton";
            this.playPauseProcessorButton.Size = new System.Drawing.Size(112, 30);
            this.playPauseProcessorButton.TabIndex = 1;
            this.playPauseProcessorButton.Text = "Start";
            this.playPauseProcessorButton.UseVisualStyleBackColor = true;
            // 
            // groupBox4
            // 
            this.groupBox4.Controls.Add(this.fPSLabel);
            this.groupBox4.Controls.Add(this.hideUnhideVideoButton);
            this.groupBox4.Controls.Add(this.playPauseVideoButton);
            this.groupBox4.Location = new System.Drawing.Point(341, 49);
            this.groupBox4.Name = "groupBox4";
            this.groupBox4.Size = new System.Drawing.Size(242, 266);
            this.groupBox4.TabIndex = 6;
            this.groupBox4.TabStop = false;
            this.groupBox4.Text = "Video Info";
            // 
            // fPSLabel
            // 
            this.fPSLabel.AutoSize = true;
            this.fPSLabel.Location = new System.Drawing.Point(6, 19);
            this.fPSLabel.Name = "fPSLabel";
            this.fPSLabel.Size = new System.Drawing.Size(163, 13);
            this.fPSLabel.TabIndex = 2;
            this.fPSLabel.Text = "Capturing at 0 frames per second";
            // 
            // hideUnhideVideoButton
            // 
            this.hideUnhideVideoButton.Location = new System.Drawing.Point(126, 229);
            this.hideUnhideVideoButton.Name = "hideUnhideVideoButton";
            this.hideUnhideVideoButton.Size = new System.Drawing.Size(112, 30);
            this.hideUnhideVideoButton.TabIndex = 1;
            this.hideUnhideVideoButton.Text = "Hide";
            this.hideUnhideVideoButton.UseVisualStyleBackColor = true;
            // 
            // playPauseVideoButton
            // 
            this.playPauseVideoButton.Location = new System.Drawing.Point(6, 229);
            this.playPauseVideoButton.Name = "playPauseVideoButton";
            this.playPauseVideoButton.Size = new System.Drawing.Size(112, 30);
            this.playPauseVideoButton.TabIndex = 0;
            this.playPauseVideoButton.Text = "Start";
            this.playPauseVideoButton.UseVisualStyleBackColor = true;
            // 
            // groupBox3
            // 
            this.groupBox3.Controls.Add(this.imageProcessorPictureBox);
            this.groupBox3.Location = new System.Drawing.Point(3, 314);
            this.groupBox3.Name = "groupBox3";
            this.groupBox3.Size = new System.Drawing.Size(332, 266);
            this.groupBox3.TabIndex = 5;
            this.groupBox3.TabStop = false;
            this.groupBox3.Text = "Video Processing";
            // 
            // imageProcessorPictureBox
            // 
            this.imageProcessorPictureBox.Image = global::Graphene.Properties.Resources.disconnected;
            this.imageProcessorPictureBox.Location = new System.Drawing.Point(6, 19);
            this.imageProcessorPictureBox.Name = "imageProcessorPictureBox";
            this.imageProcessorPictureBox.Size = new System.Drawing.Size(320, 240);
            this.imageProcessorPictureBox.TabIndex = 2;
            this.imageProcessorPictureBox.TabStop = false;
            // 
            // groupBox2
            // 
            this.groupBox2.Controls.Add(this.videoSourcePictureBox);
            this.groupBox2.Location = new System.Drawing.Point(3, 49);
            this.groupBox2.Name = "groupBox2";
            this.groupBox2.Size = new System.Drawing.Size(332, 266);
            this.groupBox2.TabIndex = 1;
            this.groupBox2.TabStop = false;
            this.groupBox2.Text = "Video Input";
            // 
            // videoSourcePictureBox
            // 
            this.videoSourcePictureBox.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(25)))), ((int)(((byte)(25)))), ((int)(((byte)(25)))));
            this.videoSourcePictureBox.Image = global::Graphene.Properties.Resources.disconnected;
            this.videoSourcePictureBox.InitialImage = global::Graphene.Properties.Resources.disconnected;
            this.videoSourcePictureBox.Location = new System.Drawing.Point(6, 19);
            this.videoSourcePictureBox.MaximumSize = new System.Drawing.Size(320, 240);
            this.videoSourcePictureBox.MinimumSize = new System.Drawing.Size(320, 240);
            this.videoSourcePictureBox.Name = "videoSourcePictureBox";
            this.videoSourcePictureBox.Size = new System.Drawing.Size(320, 240);
            this.videoSourcePictureBox.TabIndex = 0;
            this.videoSourcePictureBox.TabStop = false;
            // 
            // tabPage2
            // 
            this.tabPage2.Controls.Add(this.panel3);
            this.tabPage2.Location = new System.Drawing.Point(4, 29);
            this.tabPage2.Name = "tabPage2";
            this.tabPage2.Padding = new System.Windows.Forms.Padding(3);
            this.tabPage2.Size = new System.Drawing.Size(606, 604);
            this.tabPage2.TabIndex = 1;
            this.tabPage2.Text = "Hardware";
            this.tabPage2.UseVisualStyleBackColor = true;
            // 
            // panel3
            // 
            this.panel3.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
            this.panel3.Controls.Add(this.groupBox8);
            this.panel3.Controls.Add(this.mouselookCheckbox);
            this.panel3.Controls.Add(this.groupBox7);
            this.panel3.Location = new System.Drawing.Point(6, 6);
            this.panel3.Name = "panel3";
            this.panel3.Size = new System.Drawing.Size(594, 592);
            this.panel3.TabIndex = 0;
            // 
            // groupBox8
            // 
            this.groupBox8.Controls.Add(this.startStop3DProcessingButton);
            this.groupBox8.Controls.Add(this.secondaryDeviceAngleZNumeric);
            this.groupBox8.Controls.Add(this.secondaryDeviceAngleYNumeric);
            this.groupBox8.Controls.Add(this.secondaryDeviceAngleXNumeric);
            this.groupBox8.Controls.Add(this.label4);
            this.groupBox8.Controls.Add(this.label3);
            this.groupBox8.Controls.Add(this.secondaryDevicePositionZNumeric);
            this.groupBox8.Controls.Add(this.secondaryDevicePositionYNumeric);
            this.groupBox8.Controls.Add(this.secondaryDevicePositionXNumeric);
            this.groupBox8.Controls.Add(this.label2);
            this.groupBox8.Controls.Add(this.label1);
            this.groupBox8.Controls.Add(this.sourceProcessor2For3DDropdown);
            this.groupBox8.Controls.Add(this.sourceProcessor1For3DDropdown);
            this.groupBox8.Location = new System.Drawing.Point(3, 371);
            this.groupBox8.Name = "groupBox8";
            this.groupBox8.Size = new System.Drawing.Size(586, 170);
            this.groupBox8.TabIndex = 4;
            this.groupBox8.TabStop = false;
            this.groupBox8.Text = "Devices Used for 3D Processing";
            // 
            // startStop3DProcessingButton
            // 
            this.startStop3DProcessingButton.Appearance = System.Windows.Forms.Appearance.Button;
            this.startStop3DProcessingButton.Enabled = false;
            this.startStop3DProcessingButton.Location = new System.Drawing.Point(230, 125);
            this.startStop3DProcessingButton.Name = "startStop3DProcessingButton";
            this.startStop3DProcessingButton.Size = new System.Drawing.Size(132, 36);
            this.startStop3DProcessingButton.TabIndex = 12;
            this.startStop3DProcessingButton.Text = "Start 3D Processing";
            this.startStop3DProcessingButton.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            this.startStop3DProcessingButton.UseVisualStyleBackColor = true;
            // 
            // secondaryDeviceAngleZNumeric
            // 
            this.secondaryDeviceAngleZNumeric.DecimalPlaces = 1;
            this.secondaryDeviceAngleZNumeric.Enabled = false;
            this.secondaryDeviceAngleZNumeric.Location = new System.Drawing.Point(405, 99);
            this.secondaryDeviceAngleZNumeric.Maximum = new decimal(new int[] {
            180,
            0,
            0,
            0});
            this.secondaryDeviceAngleZNumeric.Minimum = new decimal(new int[] {
            180,
            0,
            0,
            -2147483648});
            this.secondaryDeviceAngleZNumeric.Name = "secondaryDeviceAngleZNumeric";
            this.secondaryDeviceAngleZNumeric.Size = new System.Drawing.Size(60, 20);
            this.secondaryDeviceAngleZNumeric.TabIndex = 11;
            // 
            // secondaryDeviceAngleYNumeric
            // 
            this.secondaryDeviceAngleYNumeric.DecimalPlaces = 1;
            this.secondaryDeviceAngleYNumeric.Location = new System.Drawing.Point(339, 99);
            this.secondaryDeviceAngleYNumeric.Maximum = new decimal(new int[] {
            180,
            0,
            0,
            0});
            this.secondaryDeviceAngleYNumeric.Minimum = new decimal(new int[] {
            180,
            0,
            0,
            -2147483648});
            this.secondaryDeviceAngleYNumeric.Name = "secondaryDeviceAngleYNumeric";
            this.secondaryDeviceAngleYNumeric.Size = new System.Drawing.Size(60, 20);
            this.secondaryDeviceAngleYNumeric.TabIndex = 10;
            this.secondaryDeviceAngleYNumeric.Value = new decimal(new int[] {
            90,
            0,
            0,
            -2147483648});
            // 
            // secondaryDeviceAngleXNumeric
            // 
            this.secondaryDeviceAngleXNumeric.DecimalPlaces = 1;
            this.secondaryDeviceAngleXNumeric.Location = new System.Drawing.Point(273, 99);
            this.secondaryDeviceAngleXNumeric.Maximum = new decimal(new int[] {
            180,
            0,
            0,
            0});
            this.secondaryDeviceAngleXNumeric.Minimum = new decimal(new int[] {
            180,
            0,
            0,
            -2147483648});
            this.secondaryDeviceAngleXNumeric.Name = "secondaryDeviceAngleXNumeric";
            this.secondaryDeviceAngleXNumeric.Size = new System.Drawing.Size(60, 20);
            this.secondaryDeviceAngleXNumeric.TabIndex = 9;
            // 
            // label4
            // 
            this.label4.AutoSize = true;
            this.label4.Location = new System.Drawing.Point(58, 101);
            this.label4.Name = "label4";
            this.label4.Size = new System.Drawing.Size(159, 13);
            this.label4.TabIndex = 8;
            this.label4.Text = "Viewing Angle (XYZ in degrees):";
            // 
            // label3
            // 
            this.label3.AutoSize = true;
            this.label3.Location = new System.Drawing.Point(58, 75);
            this.label3.Name = "label3";
            this.label3.Size = new System.Drawing.Size(122, 13);
            this.label3.TabIndex = 7;
            this.label3.Text = "Position (XYZ in meters):";
            // 
            // secondaryDevicePositionZNumeric
            // 
            this.secondaryDevicePositionZNumeric.DecimalPlaces = 3;
            this.secondaryDevicePositionZNumeric.Increment = new decimal(new int[] {
            1,
            0,
            0,
            131072});
            this.secondaryDevicePositionZNumeric.Location = new System.Drawing.Point(405, 73);
            this.secondaryDevicePositionZNumeric.Maximum = new decimal(new int[] {
            10,
            0,
            0,
            0});
            this.secondaryDevicePositionZNumeric.Minimum = new decimal(new int[] {
            10,
            0,
            0,
            -2147483648});
            this.secondaryDevicePositionZNumeric.Name = "secondaryDevicePositionZNumeric";
            this.secondaryDevicePositionZNumeric.Size = new System.Drawing.Size(60, 20);
            this.secondaryDevicePositionZNumeric.TabIndex = 6;
            // 
            // secondaryDevicePositionYNumeric
            // 
            this.secondaryDevicePositionYNumeric.DecimalPlaces = 3;
            this.secondaryDevicePositionYNumeric.Increment = new decimal(new int[] {
            1,
            0,
            0,
            131072});
            this.secondaryDevicePositionYNumeric.Location = new System.Drawing.Point(339, 73);
            this.secondaryDevicePositionYNumeric.Maximum = new decimal(new int[] {
            10,
            0,
            0,
            0});
            this.secondaryDevicePositionYNumeric.Minimum = new decimal(new int[] {
            10,
            0,
            0,
            -2147483648});
            this.secondaryDevicePositionYNumeric.Name = "secondaryDevicePositionYNumeric";
            this.secondaryDevicePositionYNumeric.Size = new System.Drawing.Size(60, 20);
            this.secondaryDevicePositionYNumeric.TabIndex = 5;
            // 
            // secondaryDevicePositionXNumeric
            // 
            this.secondaryDevicePositionXNumeric.DecimalPlaces = 3;
            this.secondaryDevicePositionXNumeric.Increment = new decimal(new int[] {
            1,
            0,
            0,
            131072});
            this.secondaryDevicePositionXNumeric.Location = new System.Drawing.Point(273, 73);
            this.secondaryDevicePositionXNumeric.Maximum = new decimal(new int[] {
            10,
            0,
            0,
            0});
            this.secondaryDevicePositionXNumeric.Minimum = new decimal(new int[] {
            10,
            0,
            0,
            -2147483648});
            this.secondaryDevicePositionXNumeric.Name = "secondaryDevicePositionXNumeric";
            this.secondaryDevicePositionXNumeric.Size = new System.Drawing.Size(60, 20);
            this.secondaryDevicePositionXNumeric.TabIndex = 4;
            // 
            // label2
            // 
            this.label2.AutoSize = true;
            this.label2.Location = new System.Drawing.Point(6, 49);
            this.label2.Name = "label2";
            this.label2.Size = new System.Drawing.Size(146, 13);
            this.label2.TabIndex = 3;
            this.label2.Text = "Secondary Device (Left Eye):";
            // 
            // label1
            // 
            this.label1.AutoSize = true;
            this.label1.Location = new System.Drawing.Point(6, 22);
            this.label1.Name = "label1";
            this.label1.Size = new System.Drawing.Size(257, 13);
            this.label1.TabIndex = 2;
            this.label1.Text = "Device at the Coordinate System\'s Origin (Right Eye):";
            // 
            // sourceProcessor2For3DDropdown
            // 
            this.sourceProcessor2For3DDropdown.FormattingEnabled = true;
            this.sourceProcessor2For3DDropdown.Location = new System.Drawing.Point(269, 46);
            this.sourceProcessor2For3DDropdown.Name = "sourceProcessor2For3DDropdown";
            this.sourceProcessor2For3DDropdown.Size = new System.Drawing.Size(311, 21);
            this.sourceProcessor2For3DDropdown.TabIndex = 1;
            // 
            // sourceProcessor1For3DDropdown
            // 
            this.sourceProcessor1For3DDropdown.FormattingEnabled = true;
            this.sourceProcessor1For3DDropdown.Location = new System.Drawing.Point(269, 19);
            this.sourceProcessor1For3DDropdown.Name = "sourceProcessor1For3DDropdown";
            this.sourceProcessor1For3DDropdown.Size = new System.Drawing.Size(311, 21);
            this.sourceProcessor1For3DDropdown.TabIndex = 0;
            // 
            // mouselookCheckbox
            // 
            this.mouselookCheckbox.Appearance = System.Windows.Forms.Appearance.Button;
            this.mouselookCheckbox.AutoSize = true;
            this.mouselookCheckbox.Location = new System.Drawing.Point(413, 274);
            this.mouselookCheckbox.MaximumSize = new System.Drawing.Size(100, 40);
            this.mouselookCheckbox.MinimumSize = new System.Drawing.Size(100, 40);
            this.mouselookCheckbox.Name = "mouselookCheckbox";
            this.mouselookCheckbox.Size = new System.Drawing.Size(100, 40);
            this.mouselookCheckbox.TabIndex = 3;
            this.mouselookCheckbox.Text = "Enable Mouselook and keyboard movement.";
            this.mouselookCheckbox.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            this.mouselookCheckbox.UseVisualStyleBackColor = true;
            // 
            // groupBox7
            // 
            this.groupBox7.Controls.Add(this.directXPanel1);
            this.groupBox7.Location = new System.Drawing.Point(3, 3);
            this.groupBox7.Name = "groupBox7";
            this.groupBox7.Size = new System.Drawing.Size(333, 265);
            this.groupBox7.TabIndex = 1;
            this.groupBox7.TabStop = false;
            this.groupBox7.Text = "3D Processing";
            // 
            // markerCalibrationTabpage
            // 
            this.markerCalibrationTabpage.Controls.Add(this.panel4);
            this.markerCalibrationTabpage.Location = new System.Drawing.Point(4, 29);
            this.markerCalibrationTabpage.Name = "markerCalibrationTabpage";
            this.markerCalibrationTabpage.Padding = new System.Windows.Forms.Padding(3);
            this.markerCalibrationTabpage.Size = new System.Drawing.Size(606, 604);
            this.markerCalibrationTabpage.TabIndex = 4;
            this.markerCalibrationTabpage.Text = "3D Marker Setup";
            this.markerCalibrationTabpage.UseVisualStyleBackColor = true;
            // 
            // panel4
            // 
            this.panel4.AutoScroll = true;
            this.panel4.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
            this.panel4.Controls.Add(this.groupBox11);
            this.panel4.Controls.Add(this.groupBox10);
            this.panel4.Controls.Add(this.groupBox9);
            this.panel4.Location = new System.Drawing.Point(6, 6);
            this.panel4.Name = "panel4";
            this.panel4.Size = new System.Drawing.Size(512, 592);
            this.panel4.TabIndex = 0;
            // 
            // groupBox11
            // 
            this.groupBox11.Controls.Add(this.label15);
            this.groupBox11.Controls.Add(this.button4);
            this.groupBox11.Controls.Add(this.addNewMarkerButtonForMarkerCalibration);
            this.groupBox11.Controls.Add(this.label14);
            this.groupBox11.Controls.Add(this.markers3DGrid);
            this.groupBox11.Location = new System.Drawing.Point(3, 693);
            this.groupBox11.Name = "groupBox11";
            this.groupBox11.Size = new System.Drawing.Size(487, 305);
            this.groupBox11.TabIndex = 1;
            this.groupBox11.TabStop = false;
            this.groupBox11.Text = "Marker List";
            // 
            // label15
            // 
            this.label15.AutoSize = true;
            this.label15.Location = new System.Drawing.Point(40, 248);
            this.label15.Margin = new System.Windows.Forms.Padding(20, 7, 3, 7);
            this.label15.MaximumSize = new System.Drawing.Size(400, 0);
            this.label15.MinimumSize = new System.Drawing.Size(400, 0);
            this.label15.Name = "label15";
            this.label15.Size = new System.Drawing.Size(400, 26);
            this.label15.TabIndex = 20;
            this.label15.Text = "* Using more than 3 markers in the same time is not recommanded. Having them on t" +
                "he list however does not mean you are using all of them.\r\n";
            // 
            // button4
            // 
            this.button4.Location = new System.Drawing.Point(294, 208);
            this.button4.Name = "button4";
            this.button4.Size = new System.Drawing.Size(110, 30);
            this.button4.TabIndex = 19;
            this.button4.Text = "Remove Marker";
            this.button4.UseVisualStyleBackColor = true;
            // 
            // addNewMarkerButtonForMarkerCalibration
            // 
            this.addNewMarkerButtonForMarkerCalibration.Location = new System.Drawing.Point(187, 46);
            this.addNewMarkerButtonForMarkerCalibration.Name = "addNewMarkerButtonForMarkerCalibration";
            this.addNewMarkerButtonForMarkerCalibration.Size = new System.Drawing.Size(110, 30);
            this.addNewMarkerButtonForMarkerCalibration.TabIndex = 18;
            this.addNewMarkerButtonForMarkerCalibration.Text = "Add New Marker";
            this.addNewMarkerButtonForMarkerCalibration.UseVisualStyleBackColor = true;
            // 
            // label14
            // 
            this.label14.AutoSize = true;
            this.label14.Location = new System.Drawing.Point(40, 23);
            this.label14.Margin = new System.Windows.Forms.Padding(20, 7, 3, 7);
            this.label14.MinimumSize = new System.Drawing.Size(400, 0);
            this.label14.Name = "label14";
            this.label14.Size = new System.Drawing.Size(400, 13);
            this.label14.TabIndex = 16;
            this.label14.Text = "8. Add your configured marker to the list and edit it\'s name.\r\n";
            // 
            // markers3DGrid
            // 
            this.markers3DGrid.AllowUserToAddRows = false;
            this.markers3DGrid.AllowUserToDeleteRows = false;
            this.markers3DGrid.AllowUserToOrderColumns = true;
            this.markers3DGrid.AllowUserToResizeColumns = false;
            this.markers3DGrid.AllowUserToResizeRows = false;
            this.markers3DGrid.AutoSizeColumnsMode = System.Windows.Forms.DataGridViewAutoSizeColumnsMode.ColumnHeader;
            this.markers3DGrid.ColumnHeadersHeightSizeMode = System.Windows.Forms.DataGridViewColumnHeadersHeightSizeMode.AutoSize;
            this.markers3DGrid.Columns.AddRange(new System.Windows.Forms.DataGridViewColumn[] {
            this.namePrimaryColumn,
            this.colorPrimaryColumn,
            this.tolerancePrimaryColumn,
            this.nameSecondaryColumn,
            this.colorSecondaryColumn,
            this.toleranceSecondaryColumn});
            this.markers3DGrid.Location = new System.Drawing.Point(29, 82);
            this.markers3DGrid.Name = "markers3DGrid";
            this.markers3DGrid.Size = new System.Drawing.Size(424, 120);
            this.markers3DGrid.TabIndex = 0;
            // 
            // namePrimaryColumn
            // 
            this.namePrimaryColumn.HeaderText = "Name Primary";
            this.namePrimaryColumn.Name = "namePrimaryColumn";
            this.namePrimaryColumn.ReadOnly = true;
            this.namePrimaryColumn.Width = 89;
            // 
            // colorPrimaryColumn
            // 
            this.colorPrimaryColumn.HeaderText = "Color Primary";
            this.colorPrimaryColumn.Name = "colorPrimaryColumn";
            this.colorPrimaryColumn.ReadOnly = true;
            this.colorPrimaryColumn.Width = 67;
            // 
            // tolerancePrimaryColumn
            // 
            this.tolerancePrimaryColumn.HeaderText = "Tolerance Primary";
            this.tolerancePrimaryColumn.Name = "tolerancePrimaryColumn";
            this.tolerancePrimaryColumn.Width = 107;
            // 
            // nameSecondaryColumn
            // 
            this.nameSecondaryColumn.HeaderText = "Name Secondary";
            this.nameSecondaryColumn.Name = "nameSecondaryColumn";
            this.nameSecondaryColumn.Width = 105;
            // 
            // colorSecondaryColumn
            // 
            this.colorSecondaryColumn.HeaderText = "Color Secondary";
            this.colorSecondaryColumn.Name = "colorSecondaryColumn";
            this.colorSecondaryColumn.Width = 82;
            // 
            // toleranceSecondaryColumn
            // 
            this.toleranceSecondaryColumn.HeaderText = "Tolerance Secondary";
            this.toleranceSecondaryColumn.Name = "toleranceSecondaryColumn";
            this.toleranceSecondaryColumn.Width = 123;
            // 
            // groupBox10
            // 
            this.groupBox10.Controls.Add(this.clearSamplesButtonForMarkerCalibration);
            this.groupBox10.Controls.Add(this.removeSampleButtonForMarkerCalibration);
            this.groupBox10.Controls.Add(this.toleranceSecondaryLabel);
            this.groupBox10.Controls.Add(this.tolerancePrimaryLabel);
            this.groupBox10.Controls.Add(this.toleranceSecondaryTrackbar);
            this.groupBox10.Controls.Add(this.tolerancePrimaryTrackbar);
            this.groupBox10.Controls.Add(this.colorSamplePictureboxSecondaryForMarkerCalibration);
            this.groupBox10.Controls.Add(this.colorSamplePictureboxPrimaryForMarkerCalibration);
            this.groupBox10.Controls.Add(this.addSampleButtonForMarkerCalibration);
            this.groupBox10.Controls.Add(this.sampleListboxForMarkerCalibration);
            this.groupBox10.Controls.Add(this.label13);
            this.groupBox10.Controls.Add(this.acceptableSecondaryLabel);
            this.groupBox10.Controls.Add(this.acceptablePrimaryLabel);
            this.groupBox10.Controls.Add(this.imageInSecondaryFilteredPictureBoxForMarkerCalibration);
            this.groupBox10.Controls.Add(this.imageInPrimaryFilteredPictureBoxForMarkerCalibration);
            this.groupBox10.Controls.Add(this.label7);
            this.groupBox10.Location = new System.Drawing.Point(3, 345);
            this.groupBox10.Name = "groupBox10";
            this.groupBox10.Size = new System.Drawing.Size(487, 342);
            this.groupBox10.TabIndex = 3;
            this.groupBox10.TabStop = false;
            this.groupBox10.Text = "Marker Analysis";
            // 
            // clearSamplesButtonForMarkerCalibration
            // 
            this.clearSamplesButtonForMarkerCalibration.Location = new System.Drawing.Point(324, 306);
            this.clearSamplesButtonForMarkerCalibration.Name = "clearSamplesButtonForMarkerCalibration";
            this.clearSamplesButtonForMarkerCalibration.Size = new System.Drawing.Size(110, 30);
            this.clearSamplesButtonForMarkerCalibration.TabIndex = 25;
            this.clearSamplesButtonForMarkerCalibration.Text = "Clear Samples";
            this.clearSamplesButtonForMarkerCalibration.UseVisualStyleBackColor = true;
            // 
            // removeSampleButtonForMarkerCalibration
            // 
            this.removeSampleButtonForMarkerCalibration.Location = new System.Drawing.Point(43, 306);
            this.removeSampleButtonForMarkerCalibration.Name = "removeSampleButtonForMarkerCalibration";
            this.removeSampleButtonForMarkerCalibration.Size = new System.Drawing.Size(110, 30);
            this.removeSampleButtonForMarkerCalibration.TabIndex = 24;
            this.removeSampleButtonForMarkerCalibration.Text = "Remove Sample";
            this.removeSampleButtonForMarkerCalibration.UseVisualStyleBackColor = true;
            // 
            // toleranceSecondaryLabel
            // 
            this.toleranceSecondaryLabel.AutoSize = true;
            this.toleranceSecondaryLabel.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(238)));
            this.toleranceSecondaryLabel.ForeColor = System.Drawing.Color.Black;
            this.toleranceSecondaryLabel.Location = new System.Drawing.Point(419, 182);
            this.toleranceSecondaryLabel.Margin = new System.Windows.Forms.Padding(3);
            this.toleranceSecondaryLabel.Name = "toleranceSecondaryLabel";
            this.toleranceSecondaryLabel.Size = new System.Drawing.Size(21, 13);
            this.toleranceSecondaryLabel.TabIndex = 23;
            this.toleranceSecondaryLabel.Text = "19";
            this.toleranceSecondaryLabel.TextAlign = System.Drawing.ContentAlignment.TopCenter;
            // 
            // tolerancePrimaryLabel
            // 
            this.tolerancePrimaryLabel.AutoSize = true;
            this.tolerancePrimaryLabel.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(238)));
            this.tolerancePrimaryLabel.ForeColor = System.Drawing.Color.Black;
            this.tolerancePrimaryLabel.Location = new System.Drawing.Point(24, 182);
            this.tolerancePrimaryLabel.Margin = new System.Windows.Forms.Padding(3);
            this.tolerancePrimaryLabel.Name = "tolerancePrimaryLabel";
            this.tolerancePrimaryLabel.Size = new System.Drawing.Size(21, 13);
            this.tolerancePrimaryLabel.TabIndex = 22;
            this.tolerancePrimaryLabel.Text = "19";
            this.tolerancePrimaryLabel.TextAlign = System.Drawing.ContentAlignment.TopCenter;
            // 
            // toleranceSecondaryTrackbar
            // 
            this.toleranceSecondaryTrackbar.BackColor = System.Drawing.Color.White;
            this.toleranceSecondaryTrackbar.Location = new System.Drawing.Point(410, 59);
            this.toleranceSecondaryTrackbar.Margin = new System.Windows.Forms.Padding(3, 3, 3, 0);
            this.toleranceSecondaryTrackbar.Maximum = 50;
            this.toleranceSecondaryTrackbar.MaximumSize = new System.Drawing.Size(30, 120);
            this.toleranceSecondaryTrackbar.Name = "toleranceSecondaryTrackbar";
            this.toleranceSecondaryTrackbar.Orientation = System.Windows.Forms.Orientation.Vertical;
            this.toleranceSecondaryTrackbar.Size = new System.Drawing.Size(45, 120);
            this.toleranceSecondaryTrackbar.TabIndex = 21;
            this.toleranceSecondaryTrackbar.TickFrequency = 5;
            this.toleranceSecondaryTrackbar.TickStyle = System.Windows.Forms.TickStyle.TopLeft;
            this.toleranceSecondaryTrackbar.Value = 19;
            // 
            // tolerancePrimaryTrackbar
            // 
            this.tolerancePrimaryTrackbar.BackColor = System.Drawing.Color.White;
            this.tolerancePrimaryTrackbar.Location = new System.Drawing.Point(27, 59);
            this.tolerancePrimaryTrackbar.Margin = new System.Windows.Forms.Padding(3, 3, 3, 0);
            this.tolerancePrimaryTrackbar.Maximum = 50;
            this.tolerancePrimaryTrackbar.Name = "tolerancePrimaryTrackbar";
            this.tolerancePrimaryTrackbar.Orientation = System.Windows.Forms.Orientation.Vertical;
            this.tolerancePrimaryTrackbar.Size = new System.Drawing.Size(45, 120);
            this.tolerancePrimaryTrackbar.TabIndex = 20;
            this.tolerancePrimaryTrackbar.TickFrequency = 5;
            this.tolerancePrimaryTrackbar.Value = 19;
            // 
            // colorSamplePictureboxSecondaryForMarkerCalibration
            // 
            this.colorSamplePictureboxSecondaryForMarkerCalibration.BackColor = System.Drawing.Color.White;
            this.colorSamplePictureboxSecondaryForMarkerCalibration.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
            this.colorSamplePictureboxSecondaryForMarkerCalibration.Location = new System.Drawing.Point(410, 257);
            this.colorSamplePictureboxSecondaryForMarkerCalibration.Name = "colorSamplePictureboxSecondaryForMarkerCalibration";
            this.colorSamplePictureboxSecondaryForMarkerCalibration.Size = new System.Drawing.Size(43, 43);
            this.colorSamplePictureboxSecondaryForMarkerCalibration.TabIndex = 19;
            this.colorSamplePictureboxSecondaryForMarkerCalibration.TabStop = false;
            // 
            // colorSamplePictureboxPrimaryForMarkerCalibration
            // 
            this.colorSamplePictureboxPrimaryForMarkerCalibration.BackColor = System.Drawing.Color.White;
            this.colorSamplePictureboxPrimaryForMarkerCalibration.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
            this.colorSamplePictureboxPrimaryForMarkerCalibration.Location = new System.Drawing.Point(29, 257);
            this.colorSamplePictureboxPrimaryForMarkerCalibration.Name = "colorSamplePictureboxPrimaryForMarkerCalibration";
            this.colorSamplePictureboxPrimaryForMarkerCalibration.Size = new System.Drawing.Size(43, 43);
            this.colorSamplePictureboxPrimaryForMarkerCalibration.TabIndex = 18;
            this.colorSamplePictureboxPrimaryForMarkerCalibration.TabStop = false;
            // 
            // addSampleButtonForMarkerCalibration
            // 
            this.addSampleButtonForMarkerCalibration.Location = new System.Drawing.Point(187, 306);
            this.addSampleButtonForMarkerCalibration.Name = "addSampleButtonForMarkerCalibration";
            this.addSampleButtonForMarkerCalibration.Size = new System.Drawing.Size(110, 30);
            this.addSampleButtonForMarkerCalibration.TabIndex = 17;
            this.addSampleButtonForMarkerCalibration.Text = "Add Sample";
            this.addSampleButtonForMarkerCalibration.UseVisualStyleBackColor = true;
            // 
            // sampleListboxForMarkerCalibration
            // 
            this.sampleListboxForMarkerCalibration.FormattingEnabled = true;
            this.sampleListboxForMarkerCalibration.Location = new System.Drawing.Point(78, 257);
            this.sampleListboxForMarkerCalibration.Name = "sampleListboxForMarkerCalibration";
            this.sampleListboxForMarkerCalibration.Size = new System.Drawing.Size(326, 43);
            this.sampleListboxForMarkerCalibration.TabIndex = 16;
            // 
            // label13
            // 
            this.label13.AutoSize = true;
            this.label13.Location = new System.Drawing.Point(40, 208);
            this.label13.Margin = new System.Windows.Forms.Padding(20, 7, 3, 7);
            this.label13.MaximumSize = new System.Drawing.Size(400, 0);
            this.label13.MinimumSize = new System.Drawing.Size(400, 0);
            this.label13.Name = "label13";
            this.label13.Size = new System.Drawing.Size(400, 39);
            this.label13.TabIndex = 15;
            this.label13.Text = "6. Add this sample to the list.\r\n7. Do steps 1-5 a few more times adding more sam" +
                "ples just to make sure your marker fits well in various positions.\r\n";
            // 
            // acceptableSecondaryLabel
            // 
            this.acceptableSecondaryLabel.AutoSize = true;
            this.acceptableSecondaryLabel.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(238)));
            this.acceptableSecondaryLabel.ForeColor = System.Drawing.Color.Maroon;
            this.acceptableSecondaryLabel.Location = new System.Drawing.Point(244, 185);
            this.acceptableSecondaryLabel.Margin = new System.Windows.Forms.Padding(3);
            this.acceptableSecondaryLabel.MinimumSize = new System.Drawing.Size(160, 13);
            this.acceptableSecondaryLabel.Name = "acceptableSecondaryLabel";
            this.acceptableSecondaryLabel.Size = new System.Drawing.Size(160, 13);
            this.acceptableSecondaryLabel.TabIndex = 14;
            this.acceptableSecondaryLabel.TextAlign = System.Drawing.ContentAlignment.TopCenter;
            // 
            // acceptablePrimaryLabel
            // 
            this.acceptablePrimaryLabel.AutoSize = true;
            this.acceptablePrimaryLabel.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(238)));
            this.acceptablePrimaryLabel.ForeColor = System.Drawing.Color.Green;
            this.acceptablePrimaryLabel.Location = new System.Drawing.Point(78, 185);
            this.acceptablePrimaryLabel.Margin = new System.Windows.Forms.Padding(3);
            this.acceptablePrimaryLabel.MinimumSize = new System.Drawing.Size(160, 13);
            this.acceptablePrimaryLabel.Name = "acceptablePrimaryLabel";
            this.acceptablePrimaryLabel.Size = new System.Drawing.Size(160, 13);
            this.acceptablePrimaryLabel.TabIndex = 13;
            this.acceptablePrimaryLabel.TextAlign = System.Drawing.ContentAlignment.TopCenter;
            // 
            // imageInSecondaryFilteredPictureBoxForMarkerCalibration
            // 
            this.imageInSecondaryFilteredPictureBoxForMarkerCalibration.BackColor = System.Drawing.Color.Black;
            this.imageInSecondaryFilteredPictureBoxForMarkerCalibration.Cursor = System.Windows.Forms.Cursors.Hand;
            this.imageInSecondaryFilteredPictureBoxForMarkerCalibration.Location = new System.Drawing.Point(244, 59);
            this.imageInSecondaryFilteredPictureBoxForMarkerCalibration.Name = "imageInSecondaryFilteredPictureBoxForMarkerCalibration";
            this.imageInSecondaryFilteredPictureBoxForMarkerCalibration.Size = new System.Drawing.Size(160, 120);
            this.imageInSecondaryFilteredPictureBoxForMarkerCalibration.TabIndex = 12;
            this.imageInSecondaryFilteredPictureBoxForMarkerCalibration.TabStop = false;
            // 
            // imageInPrimaryFilteredPictureBoxForMarkerCalibration
            // 
            this.imageInPrimaryFilteredPictureBoxForMarkerCalibration.BackColor = System.Drawing.Color.Black;
            this.imageInPrimaryFilteredPictureBoxForMarkerCalibration.Cursor = System.Windows.Forms.Cursors.Hand;
            this.imageInPrimaryFilteredPictureBoxForMarkerCalibration.Location = new System.Drawing.Point(78, 59);
            this.imageInPrimaryFilteredPictureBoxForMarkerCalibration.Name = "imageInPrimaryFilteredPictureBoxForMarkerCalibration";
            this.imageInPrimaryFilteredPictureBoxForMarkerCalibration.Size = new System.Drawing.Size(160, 120);
            this.imageInPrimaryFilteredPictureBoxForMarkerCalibration.TabIndex = 10;
            this.imageInPrimaryFilteredPictureBoxForMarkerCalibration.TabStop = false;
            // 
            // label7
            // 
            this.label7.AutoSize = true;
            this.label7.Location = new System.Drawing.Point(40, 23);
            this.label7.Margin = new System.Windows.Forms.Padding(20, 7, 3, 7);
            this.label7.MaximumSize = new System.Drawing.Size(400, 0);
            this.label7.MinimumSize = new System.Drawing.Size(400, 0);
            this.label7.Name = "label7";
            this.label7.Size = new System.Drawing.Size(400, 26);
            this.label7.TabIndex = 9;
            this.label7.Text = "5. By adjusting the acceptable shading tolearance see how the marker stays out fr" +
                "om the backgrounds.\r\n";
            // 
            // groupBox9
            // 
            this.groupBox9.Controls.Add(this.refreshVideoListButtonForMarkerCalibration);
            this.groupBox9.Controls.Add(this.label10);
            this.groupBox9.Controls.Add(this.label9);
            this.groupBox9.Controls.Add(this.label8);
            this.groupBox9.Controls.Add(this.label6);
            this.groupBox9.Controls.Add(this.videoListComboboxSecondaryForMarkerCalibration);
            this.groupBox9.Controls.Add(this.label5);
            this.groupBox9.Controls.Add(this.videoListComboboxPrimaryForMarkerCalibration);
            this.groupBox9.Controls.Add(this.videoSecondaryPictureboxForMarkerCalibration);
            this.groupBox9.Controls.Add(this.startStopCheckboxForMarkerCalibration);
            this.groupBox9.Controls.Add(this.videoPrimaryPictureboxForMarkerCalibration);
            this.groupBox9.Location = new System.Drawing.Point(3, 3);
            this.groupBox9.Name = "groupBox9";
            this.groupBox9.Size = new System.Drawing.Size(487, 336);
            this.groupBox9.TabIndex = 1;
            this.groupBox9.TabStop = false;
            this.groupBox9.Text = "Source";
            // 
            // refreshVideoListButtonForMarkerCalibration
            // 
            this.refreshVideoListButtonForMarkerCalibration.Image = global::Graphene.Properties.Resources.refresh_small_02;
            this.refreshVideoListButtonForMarkerCalibration.Location = new System.Drawing.Point(410, 65);
            this.refreshVideoListButtonForMarkerCalibration.Name = "refreshVideoListButtonForMarkerCalibration";
            this.refreshVideoListButtonForMarkerCalibration.Size = new System.Drawing.Size(24, 24);
            this.refreshVideoListButtonForMarkerCalibration.TabIndex = 10;
            this.refreshVideoListButtonForMarkerCalibration.UseVisualStyleBackColor = true;
            // 
            // label10
            // 
            this.label10.AutoSize = true;
            this.label10.Location = new System.Drawing.Point(40, 285);
            this.label10.Margin = new System.Windows.Forms.Padding(20, 7, 3, 7);
            this.label10.MaximumSize = new System.Drawing.Size(640, 0);
            this.label10.MinimumSize = new System.Drawing.Size(457, 0);
            this.label10.Name = "label10";
            this.label10.Size = new System.Drawing.Size(457, 39);
            this.label10.TabIndex = 9;
            this.label10.Text = "3. Catch the current frame by stopping the video.\r\n4. Click on the screens to sel" +
                "ect your marker.\r\n* Double click on a screen to display it in a large, separate " +
                "window.";
            // 
            // label9
            // 
            this.label9.AutoSize = true;
            this.label9.Location = new System.Drawing.Point(40, 222);
            this.label9.Margin = new System.Windows.Forms.Padding(20, 7, 3, 7);
            this.label9.MinimumSize = new System.Drawing.Size(457, 0);
            this.label9.Name = "label9";
            this.label9.Size = new System.Drawing.Size(457, 13);
            this.label9.TabIndex = 8;
            this.label9.Text = "2. Start the video and raise your marker to be visible on both screens.\r\n";
            // 
            // label8
            // 
            this.label8.AutoSize = true;
            this.label8.Location = new System.Drawing.Point(40, 23);
            this.label8.Margin = new System.Windows.Forms.Padding(20, 7, 3, 7);
            this.label8.MaximumSize = new System.Drawing.Size(640, 0);
            this.label8.MinimumSize = new System.Drawing.Size(457, 0);
            this.label8.Name = "label8";
            this.label8.Size = new System.Drawing.Size(457, 13);
            this.label8.TabIndex = 7;
            this.label8.Text = "1. Select your video devices you will use during 3D motion capture.";
            // 
            // label6
            // 
            this.label6.AutoSize = true;
            this.label6.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(238)));
            this.label6.Location = new System.Drawing.Point(241, 46);
            this.label6.Margin = new System.Windows.Forms.Padding(3);
            this.label6.Name = "label6";
            this.label6.Size = new System.Drawing.Size(147, 13);
            this.label6.TabIndex = 4;
            this.label6.Text = "Secondary Video Source";
            // 
            // videoListComboboxSecondaryForMarkerCalibration
            // 
            this.videoListComboboxSecondaryForMarkerCalibration.FormattingEnabled = true;
            this.videoListComboboxSecondaryForMarkerCalibration.Location = new System.Drawing.Point(244, 65);
            this.videoListComboboxSecondaryForMarkerCalibration.Name = "videoListComboboxSecondaryForMarkerCalibration";
            this.videoListComboboxSecondaryForMarkerCalibration.Size = new System.Drawing.Size(160, 21);
            this.videoListComboboxSecondaryForMarkerCalibration.TabIndex = 6;
            // 
            // label5
            // 
            this.label5.AutoSize = true;
            this.label5.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(238)));
            this.label5.Location = new System.Drawing.Point(110, 46);
            this.label5.Margin = new System.Windows.Forms.Padding(3);
            this.label5.Name = "label5";
            this.label5.Size = new System.Drawing.Size(128, 13);
            this.label5.TabIndex = 3;
            this.label5.Text = "Primary Video Source";
            this.label5.TextAlign = System.Drawing.ContentAlignment.TopRight;
            // 
            // videoListComboboxPrimaryForMarkerCalibration
            // 
            this.videoListComboboxPrimaryForMarkerCalibration.Location = new System.Drawing.Point(78, 65);
            this.videoListComboboxPrimaryForMarkerCalibration.Name = "videoListComboboxPrimaryForMarkerCalibration";
            this.videoListComboboxPrimaryForMarkerCalibration.Size = new System.Drawing.Size(160, 21);
            this.videoListComboboxPrimaryForMarkerCalibration.TabIndex = 5;
            // 
            // videoSecondaryPictureboxForMarkerCalibration
            // 
            this.videoSecondaryPictureboxForMarkerCalibration.BackColor = System.Drawing.Color.Black;
            this.videoSecondaryPictureboxForMarkerCalibration.Cursor = System.Windows.Forms.Cursors.Hand;
            this.videoSecondaryPictureboxForMarkerCalibration.Location = new System.Drawing.Point(244, 92);
            this.videoSecondaryPictureboxForMarkerCalibration.Name = "videoSecondaryPictureboxForMarkerCalibration";
            this.videoSecondaryPictureboxForMarkerCalibration.Size = new System.Drawing.Size(160, 120);
            this.videoSecondaryPictureboxForMarkerCalibration.TabIndex = 1;
            this.videoSecondaryPictureboxForMarkerCalibration.TabStop = false;
            // 
            // startStopCheckboxForMarkerCalibration
            // 
            this.startStopCheckboxForMarkerCalibration.Appearance = System.Windows.Forms.Appearance.Button;
            this.startStopCheckboxForMarkerCalibration.AutoSize = true;
            this.startStopCheckboxForMarkerCalibration.Location = new System.Drawing.Point(187, 245);
            this.startStopCheckboxForMarkerCalibration.MaximumSize = new System.Drawing.Size(110, 30);
            this.startStopCheckboxForMarkerCalibration.MinimumSize = new System.Drawing.Size(110, 30);
            this.startStopCheckboxForMarkerCalibration.Name = "startStopCheckboxForMarkerCalibration";
            this.startStopCheckboxForMarkerCalibration.Size = new System.Drawing.Size(110, 30);
            this.startStopCheckboxForMarkerCalibration.TabIndex = 0;
            this.startStopCheckboxForMarkerCalibration.Text = "Start Video Sources";
            this.startStopCheckboxForMarkerCalibration.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            this.startStopCheckboxForMarkerCalibration.UseVisualStyleBackColor = true;
            // 
            // videoPrimaryPictureboxForMarkerCalibration
            // 
            this.videoPrimaryPictureboxForMarkerCalibration.BackColor = System.Drawing.Color.Black;
            this.videoPrimaryPictureboxForMarkerCalibration.Cursor = System.Windows.Forms.Cursors.Hand;
            this.videoPrimaryPictureboxForMarkerCalibration.Location = new System.Drawing.Point(78, 92);
            this.videoPrimaryPictureboxForMarkerCalibration.Name = "videoPrimaryPictureboxForMarkerCalibration";
            this.videoPrimaryPictureboxForMarkerCalibration.Size = new System.Drawing.Size(160, 120);
            this.videoPrimaryPictureboxForMarkerCalibration.TabIndex = 0;
            this.videoPrimaryPictureboxForMarkerCalibration.TabStop = false;
            // 
            // processing3DTabpage
            // 
            this.processing3DTabpage.Controls.Add(this.panel5);
            this.processing3DTabpage.Location = new System.Drawing.Point(4, 29);
            this.processing3DTabpage.Name = "processing3DTabpage";
            this.processing3DTabpage.Size = new System.Drawing.Size(606, 604);
            this.processing3DTabpage.TabIndex = 5;
            this.processing3DTabpage.Text = "3D";
            this.processing3DTabpage.UseVisualStyleBackColor = true;
            // 
            // panel5
            // 
            this.panel5.AutoScroll = true;
            this.panel5.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
            this.panel5.Controls.Add(this.groupBox12);
            this.panel5.Controls.Add(this.groupBox13);
            this.panel5.Controls.Add(this.groupBox14);
            this.panel5.Location = new System.Drawing.Point(6, 6);
            this.panel5.Name = "panel5";
            this.panel5.Size = new System.Drawing.Size(512, 592);
            this.panel5.TabIndex = 1;
            // 
            // groupBox12
            // 
            this.groupBox12.Controls.Add(this.label11);
            this.groupBox12.Controls.Add(this.label12);
            this.groupBox12.Controls.Add(this.markerGridForStereoProcessing);
            this.groupBox12.Location = new System.Drawing.Point(3, 267);
            this.groupBox12.Name = "groupBox12";
            this.groupBox12.Size = new System.Drawing.Size(487, 211);
            this.groupBox12.TabIndex = 1;
            this.groupBox12.TabStop = false;
            this.groupBox12.Text = "Marker List";
            // 
            // label11
            // 
            this.label11.AutoSize = true;
            this.label11.Location = new System.Drawing.Point(40, 176);
            this.label11.Margin = new System.Windows.Forms.Padding(20, 7, 3, 7);
            this.label11.MaximumSize = new System.Drawing.Size(400, 0);
            this.label11.MinimumSize = new System.Drawing.Size(400, 0);
            this.label11.Name = "label11";
            this.label11.Size = new System.Drawing.Size(400, 26);
            this.label11.TabIndex = 20;
            this.label11.Text = "* Using more than 3 markers in the same time is not recommanded. Having them on t" +
                "he list however does not mean you are using all of them.\r\n";
            // 
            // label12
            // 
            this.label12.AutoSize = true;
            this.label12.Location = new System.Drawing.Point(40, 23);
            this.label12.Margin = new System.Windows.Forms.Padding(20, 7, 3, 7);
            this.label12.MinimumSize = new System.Drawing.Size(400, 0);
            this.label12.Name = "label12";
            this.label12.Size = new System.Drawing.Size(400, 13);
            this.label12.TabIndex = 16;
            this.label12.Text = "8. Select which of your predefined markers you want to use.";
            // 
            // dataGridView1
            // 
            this.markerGridForStereoProcessing.AllowUserToAddRows = false;
            this.markerGridForStereoProcessing.AllowUserToDeleteRows = false;
            this.markerGridForStereoProcessing.AllowUserToOrderColumns = true;
            this.markerGridForStereoProcessing.AllowUserToResizeColumns = false;
            this.markerGridForStereoProcessing.AllowUserToResizeRows = false;
            this.markerGridForStereoProcessing.AutoSizeColumnsMode = System.Windows.Forms.DataGridViewAutoSizeColumnsMode.ColumnHeader;
            this.markerGridForStereoProcessing.ColumnHeadersHeightSizeMode = System.Windows.Forms.DataGridViewColumnHeadersHeightSizeMode.AutoSize;
            this.markerGridForStereoProcessing.Columns.AddRange(new System.Windows.Forms.DataGridViewColumn[] {
            this.dataGridViewCheckBoxColumn3,
            this.dataGridViewTextBoxColumn1,
            this.dataGridViewImageColumn1,
            this.dataGridViewTextBoxColumn2,
            this.dataGridViewTextBoxColumn3,
            this.dataGridViewImageColumn2,
            this.dataGridViewTextBoxColumn4});
            this.markerGridForStereoProcessing.Location = new System.Drawing.Point(29, 46);
            this.markerGridForStereoProcessing.Name = "dataGridView1";
            this.markerGridForStereoProcessing.Size = new System.Drawing.Size(424, 120);
            this.markerGridForStereoProcessing.TabIndex = 0;
            // 
            // groupBox13
            // 
            this.groupBox13.Controls.Add(this.label17);
            this.groupBox13.Controls.Add(this.label16);
            this.groupBox13.Controls.Add(this.pictureBox1);
            this.groupBox13.Controls.Add(this.label19);
            this.groupBox13.Controls.Add(this.label20);
            this.groupBox13.Controls.Add(this.processedSecondaryPictureboxFor3DProcessing);
            this.groupBox13.Controls.Add(this.processedPrimaryPictureboxFor3DProcessing);
            this.groupBox13.Controls.Add(this.label21);
            this.groupBox13.Location = new System.Drawing.Point(3, 484);
            this.groupBox13.Name = "groupBox13";
            this.groupBox13.Size = new System.Drawing.Size(487, 583);
            this.groupBox13.TabIndex = 3;
            this.groupBox13.TabStop = false;
            this.groupBox13.Text = "Marker Analysis";
            // 
            // label17
            // 
            this.label17.AutoSize = true;
            this.label17.Location = new System.Drawing.Point(40, 176);
            this.label17.Margin = new System.Windows.Forms.Padding(20, 7, 3, 7);
            this.label17.MaximumSize = new System.Drawing.Size(400, 0);
            this.label17.MinimumSize = new System.Drawing.Size(400, 0);
            this.label17.Name = "label17";
            this.label17.Size = new System.Drawing.Size(400, 13);
            this.label17.TabIndex = 22;
            this.label17.Text = "5. See your markers in the 3D space.";
            // 
            // label16
            // 
            this.label16.AutoSize = true;
            this.label16.Location = new System.Drawing.Point(40, 565);
            this.label16.Margin = new System.Windows.Forms.Padding(20, 7, 3, 7);
            this.label16.MaximumSize = new System.Drawing.Size(400, 0);
            this.label16.MinimumSize = new System.Drawing.Size(400, 0);
            this.label16.Name = "label16";
            this.label16.Size = new System.Drawing.Size(400, 13);
            this.label16.TabIndex = 21;
            this.label16.Text = "* Use keys WASD, Left-Ctrl, R and your mouse to move around the scene.";
            // 
            // pictureBox1
            // 
            this.pictureBox1.BackColor = System.Drawing.Color.Black;
            this.pictureBox1.Cursor = System.Windows.Forms.Cursors.Hand;
            this.pictureBox1.Location = new System.Drawing.Point(6, 199);
            this.pictureBox1.Name = "pictureBox1";
            this.pictureBox1.Size = new System.Drawing.Size(475, 356);
            this.pictureBox1.TabIndex = 15;
            this.pictureBox1.TabStop = false;
            // 
            // label19
            // 
            this.label19.AutoSize = true;
            this.label19.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(238)));
            this.label19.ForeColor = System.Drawing.Color.Maroon;
            this.label19.Location = new System.Drawing.Point(244, 185);
            this.label19.Margin = new System.Windows.Forms.Padding(3);
            this.label19.MinimumSize = new System.Drawing.Size(160, 13);
            this.label19.Name = "label19";
            this.label19.Size = new System.Drawing.Size(160, 13);
            this.label19.TabIndex = 14;
            this.label19.TextAlign = System.Drawing.ContentAlignment.TopCenter;
            // 
            // label20
            // 
            this.label20.AutoSize = true;
            this.label20.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(238)));
            this.label20.ForeColor = System.Drawing.Color.Green;
            this.label20.Location = new System.Drawing.Point(78, 185);
            this.label20.Margin = new System.Windows.Forms.Padding(3);
            this.label20.MinimumSize = new System.Drawing.Size(160, 13);
            this.label20.Name = "label20";
            this.label20.Size = new System.Drawing.Size(160, 13);
            this.label20.TabIndex = 13;
            this.label20.TextAlign = System.Drawing.ContentAlignment.TopCenter;
            // 
            // processedSecondaryPictureboxFor3DProcessing
            // 
            this.processedSecondaryPictureboxFor3DProcessing.BackColor = System.Drawing.Color.Black;
            this.processedSecondaryPictureboxFor3DProcessing.Cursor = System.Windows.Forms.Cursors.Hand;
            this.processedSecondaryPictureboxFor3DProcessing.Location = new System.Drawing.Point(244, 46);
            this.processedSecondaryPictureboxFor3DProcessing.Name = "processedSecondaryPictureboxFor3DProcessing";
            this.processedSecondaryPictureboxFor3DProcessing.Size = new System.Drawing.Size(160, 120);
            this.processedSecondaryPictureboxFor3DProcessing.TabIndex = 12;
            this.processedSecondaryPictureboxFor3DProcessing.TabStop = false;
            // 
            // processedPrimaryPictureboxFor3DProcessing
            // 
            this.processedPrimaryPictureboxFor3DProcessing.BackColor = System.Drawing.Color.Black;
            this.processedPrimaryPictureboxFor3DProcessing.Cursor = System.Windows.Forms.Cursors.Hand;
            this.processedPrimaryPictureboxFor3DProcessing.Location = new System.Drawing.Point(78, 46);
            this.processedPrimaryPictureboxFor3DProcessing.Name = "processedPrimaryPictureboxFor3DProcessing";
            this.processedPrimaryPictureboxFor3DProcessing.Size = new System.Drawing.Size(160, 120);
            this.processedPrimaryPictureboxFor3DProcessing.TabIndex = 10;
            this.processedPrimaryPictureboxFor3DProcessing.TabStop = false;
            // 
            // label21
            // 
            this.label21.AutoSize = true;
            this.label21.Location = new System.Drawing.Point(40, 23);
            this.label21.Margin = new System.Windows.Forms.Padding(20, 7, 3, 7);
            this.label21.MaximumSize = new System.Drawing.Size(400, 0);
            this.label21.MinimumSize = new System.Drawing.Size(400, 0);
            this.label21.Name = "label21";
            this.label21.Size = new System.Drawing.Size(400, 13);
            this.label21.TabIndex = 9;
            this.label21.Text = "5. See your markers detected on separate screens.";
            // 
            // groupBox14
            // 
            this.groupBox14.Controls.Add(this.refreshVideoListButtonFor3DProcessing);
            this.groupBox14.Controls.Add(this.label24);
            this.groupBox14.Controls.Add(this.label25);
            this.groupBox14.Controls.Add(this.videoListSecondaryComboboxFor3DProcessing);
            this.groupBox14.Controls.Add(this.label26);
            this.groupBox14.Controls.Add(this.videoListPrimaryComboboxFor3DProcessing);
            this.groupBox14.Controls.Add(this.videoSecondaryPictureboxFor3DProcessing);
            this.groupBox14.Controls.Add(this.startStopCheckboxFor3DProcessing);
            this.groupBox14.Controls.Add(this.videoPrimaryPictureboxFor3DProcessing);
            this.groupBox14.Location = new System.Drawing.Point(3, 3);
            this.groupBox14.Name = "groupBox14";
            this.groupBox14.Size = new System.Drawing.Size(487, 258);
            this.groupBox14.TabIndex = 1;
            this.groupBox14.TabStop = false;
            this.groupBox14.Text = "Source";
            // 
            // refreshVideoListButtonFor3DProcessing
            // 
            this.refreshVideoListButtonFor3DProcessing.Image = global::Graphene.Properties.Resources.refresh_small_02;
            this.refreshVideoListButtonFor3DProcessing.Location = new System.Drawing.Point(410, 65);
            this.refreshVideoListButtonFor3DProcessing.Name = "refreshVideoListButtonFor3DProcessing";
            this.refreshVideoListButtonFor3DProcessing.Size = new System.Drawing.Size(24, 24);
            this.refreshVideoListButtonFor3DProcessing.TabIndex = 10;
            this.refreshVideoListButtonFor3DProcessing.UseVisualStyleBackColor = true;
            // 
            // label24
            // 
            this.label24.AutoSize = true;
            this.label24.Location = new System.Drawing.Point(40, 23);
            this.label24.Margin = new System.Windows.Forms.Padding(20, 7, 3, 7);
            this.label24.MaximumSize = new System.Drawing.Size(640, 0);
            this.label24.MinimumSize = new System.Drawing.Size(457, 0);
            this.label24.Name = "label24";
            this.label24.Size = new System.Drawing.Size(457, 13);
            this.label24.TabIndex = 7;
            this.label24.Text = "1. Select your video devices you will use for 3D motion capture.";
            // 
            // label25
            // 
            this.label25.AutoSize = true;
            this.label25.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(238)));
            this.label25.Location = new System.Drawing.Point(241, 46);
            this.label25.Margin = new System.Windows.Forms.Padding(3);
            this.label25.Name = "label25";
            this.label25.Size = new System.Drawing.Size(147, 13);
            this.label25.TabIndex = 4;
            this.label25.Text = "Secondary Video Source";
            // 
            // videoListSecondaryComboboxFor3DProcessing
            // 
            this.videoListSecondaryComboboxFor3DProcessing.FormattingEnabled = true;
            this.videoListSecondaryComboboxFor3DProcessing.Location = new System.Drawing.Point(244, 65);
            this.videoListSecondaryComboboxFor3DProcessing.Name = "videoListSecondaryComboboxFor3DProcessing";
            this.videoListSecondaryComboboxFor3DProcessing.Size = new System.Drawing.Size(160, 21);
            this.videoListSecondaryComboboxFor3DProcessing.TabIndex = 6;
            // 
            // label26
            // 
            this.label26.AutoSize = true;
            this.label26.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(238)));
            this.label26.Location = new System.Drawing.Point(110, 46);
            this.label26.Margin = new System.Windows.Forms.Padding(3);
            this.label26.Name = "label26";
            this.label26.Size = new System.Drawing.Size(128, 13);
            this.label26.TabIndex = 3;
            this.label26.Text = "Primary Video Source";
            this.label26.TextAlign = System.Drawing.ContentAlignment.TopRight;
            // 
            // videoListPrimaryComboboxFor3DProcessing
            // 
            this.videoListPrimaryComboboxFor3DProcessing.Location = new System.Drawing.Point(78, 65);
            this.videoListPrimaryComboboxFor3DProcessing.Name = "videoListPrimaryComboboxFor3DProcessing";
            this.videoListPrimaryComboboxFor3DProcessing.Size = new System.Drawing.Size(160, 21);
            this.videoListPrimaryComboboxFor3DProcessing.TabIndex = 5;
            // 
            // videoSecondaryPictureboxFor3DProcessing
            // 
            this.videoSecondaryPictureboxFor3DProcessing.BackColor = System.Drawing.Color.Black;
            this.videoSecondaryPictureboxFor3DProcessing.Cursor = System.Windows.Forms.Cursors.Hand;
            this.videoSecondaryPictureboxFor3DProcessing.Location = new System.Drawing.Point(244, 92);
            this.videoSecondaryPictureboxFor3DProcessing.Name = "videoSecondaryPictureboxFor3DProcessing";
            this.videoSecondaryPictureboxFor3DProcessing.Size = new System.Drawing.Size(160, 120);
            this.videoSecondaryPictureboxFor3DProcessing.TabIndex = 1;
            this.videoSecondaryPictureboxFor3DProcessing.TabStop = false;
            // 
            // startStopCheckboxFor3DProcessing
            // 
            this.startStopCheckboxFor3DProcessing.Appearance = System.Windows.Forms.Appearance.Button;
            this.startStopCheckboxFor3DProcessing.AutoSize = true;
            this.startStopCheckboxFor3DProcessing.Location = new System.Drawing.Point(187, 218);
            this.startStopCheckboxFor3DProcessing.MaximumSize = new System.Drawing.Size(110, 30);
            this.startStopCheckboxFor3DProcessing.MinimumSize = new System.Drawing.Size(110, 30);
            this.startStopCheckboxFor3DProcessing.Name = "startStopCheckboxFor3DProcessing";
            this.startStopCheckboxFor3DProcessing.Size = new System.Drawing.Size(110, 30);
            this.startStopCheckboxFor3DProcessing.TabIndex = 0;
            this.startStopCheckboxFor3DProcessing.Text = "Start Video Sources";
            this.startStopCheckboxFor3DProcessing.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            this.startStopCheckboxFor3DProcessing.UseVisualStyleBackColor = true;
            // 
            // videoPrimaryPictureboxFor3DProcessing
            // 
            this.videoPrimaryPictureboxFor3DProcessing.BackColor = System.Drawing.Color.Black;
            this.videoPrimaryPictureboxFor3DProcessing.Cursor = System.Windows.Forms.Cursors.Hand;
            this.videoPrimaryPictureboxFor3DProcessing.Location = new System.Drawing.Point(78, 92);
            this.videoPrimaryPictureboxFor3DProcessing.Name = "videoPrimaryPictureboxFor3DProcessing";
            this.videoPrimaryPictureboxFor3DProcessing.Size = new System.Drawing.Size(160, 120);
            this.videoPrimaryPictureboxFor3DProcessing.TabIndex = 0;
            this.videoPrimaryPictureboxFor3DProcessing.TabStop = false;
            // 
            // groupBox1
            // 
            this.groupBox1.Location = new System.Drawing.Point(64, 170);
            this.groupBox1.Name = "groupBox1";
            this.groupBox1.Size = new System.Drawing.Size(155, 28);
            this.groupBox1.TabIndex = 6;
            this.groupBox1.TabStop = false;
            // 
            // dataGridViewCheckBoxColumn3
            // 
            this.dataGridViewCheckBoxColumn3.HeaderText = "Use";
            this.dataGridViewCheckBoxColumn3.Name = "dataGridViewCheckBoxColumn3";
            this.dataGridViewCheckBoxColumn3.Width = 32;
            // 
            // dataGridViewTextBoxColumn1
            // 
            this.dataGridViewTextBoxColumn1.HeaderText = "Name Primary";
            this.dataGridViewTextBoxColumn1.Name = "dataGridViewTextBoxColumn1";
            this.dataGridViewTextBoxColumn1.ReadOnly = true;
            this.dataGridViewTextBoxColumn1.Width = 97;
            // 
            // dataGridViewImageColumn1
            // 
            this.dataGridViewImageColumn1.HeaderText = "Color Primary";
            this.dataGridViewImageColumn1.Name = "dataGridViewImageColumn1";
            this.dataGridViewImageColumn1.ReadOnly = true;
            this.dataGridViewImageColumn1.Width = 74;
            // 
            // dataGridViewTextBoxColumn2
            // 
            this.dataGridViewTextBoxColumn2.HeaderText = "Tolerance Primary";
            this.dataGridViewTextBoxColumn2.Name = "dataGridViewTextBoxColumn2";
            this.dataGridViewTextBoxColumn2.Width = 107;
            // 
            // dataGridViewTextBoxColumn3
            // 
            this.dataGridViewTextBoxColumn3.HeaderText = "Name Secondary";
            this.dataGridViewTextBoxColumn3.Name = "dataGridViewTextBoxColumn3";
            this.dataGridViewTextBoxColumn3.Width = 105;
            // 
            // dataGridViewImageColumn2
            // 
            this.dataGridViewImageColumn2.HeaderText = "Color Secondary";
            this.dataGridViewImageColumn2.Name = "dataGridViewImageColumn2";
            this.dataGridViewImageColumn2.Width = 82;
            // 
            // dataGridViewTextBoxColumn4
            // 
            this.dataGridViewTextBoxColumn4.HeaderText = "Tolerance Secondary";
            this.dataGridViewTextBoxColumn4.Name = "dataGridViewTextBoxColumn4";
            this.dataGridViewTextBoxColumn4.Width = 123;
            // 
            // MainForm
            // 
            this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
            this.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(49)))), ((int)(((byte)(49)))), ((int)(((byte)(49)))));
            this.ClientSize = new System.Drawing.Size(614, 663);
            this.Controls.Add(this.tabControl1);
            this.Controls.Add(this.menuStrip1);
            this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
            this.MainMenuStrip = this.menuStrip1;
            this.MaximizeBox = false;
            this.MaximumSize = new System.Drawing.Size(630, 701);
            this.MinimumSize = new System.Drawing.Size(630, 701);
            this.Name = "MainForm";
            this.Text = "Graphene";
            this.menuStrip1.ResumeLayout(false);
            this.menuStrip1.PerformLayout();
            this.tabControl1.ResumeLayout(false);
            this.tabPage1.ResumeLayout(false);
            this.panel1.ResumeLayout(false);
            this.panel2.ResumeLayout(false);
            this.groupBox6.ResumeLayout(false);
            this.groupBox5.ResumeLayout(false);
            this.groupBox5.PerformLayout();
            this.groupBox4.ResumeLayout(false);
            this.groupBox4.PerformLayout();
            this.groupBox3.ResumeLayout(false);
            ((System.ComponentModel.ISupportInitialize)(this.imageProcessorPictureBox)).EndInit();
            this.groupBox2.ResumeLayout(false);
            ((System.ComponentModel.ISupportInitialize)(this.videoSourcePictureBox)).EndInit();
            this.tabPage2.ResumeLayout(false);
            this.panel3.ResumeLayout(false);
            this.panel3.PerformLayout();
            this.groupBox8.ResumeLayout(false);
            this.groupBox8.PerformLayout();
            ((System.ComponentModel.ISupportInitialize)(this.secondaryDeviceAngleZNumeric)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.secondaryDeviceAngleYNumeric)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.secondaryDeviceAngleXNumeric)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.secondaryDevicePositionZNumeric)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.secondaryDevicePositionYNumeric)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.secondaryDevicePositionXNumeric)).EndInit();
            this.groupBox7.ResumeLayout(false);
            this.markerCalibrationTabpage.ResumeLayout(false);
            this.panel4.ResumeLayout(false);
            this.groupBox11.ResumeLayout(false);
            this.groupBox11.PerformLayout();
            ((System.ComponentModel.ISupportInitialize)(this.markers3DGrid)).EndInit();
            this.groupBox10.ResumeLayout(false);
            this.groupBox10.PerformLayout();
            ((System.ComponentModel.ISupportInitialize)(this.toleranceSecondaryTrackbar)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.tolerancePrimaryTrackbar)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.colorSamplePictureboxSecondaryForMarkerCalibration)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.colorSamplePictureboxPrimaryForMarkerCalibration)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.imageInSecondaryFilteredPictureBoxForMarkerCalibration)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.imageInPrimaryFilteredPictureBoxForMarkerCalibration)).EndInit();
            this.groupBox9.ResumeLayout(false);
            this.groupBox9.PerformLayout();
            ((System.ComponentModel.ISupportInitialize)(this.videoSecondaryPictureboxForMarkerCalibration)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.videoPrimaryPictureboxForMarkerCalibration)).EndInit();
            this.processing3DTabpage.ResumeLayout(false);
            this.panel5.ResumeLayout(false);
            this.groupBox12.ResumeLayout(false);
            this.groupBox12.PerformLayout();
            ((System.ComponentModel.ISupportInitialize)(this.markerGridForStereoProcessing)).EndInit();
            this.groupBox13.ResumeLayout(false);
            this.groupBox13.PerformLayout();
            ((System.ComponentModel.ISupportInitialize)(this.pictureBox1)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.processedSecondaryPictureboxFor3DProcessing)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.processedPrimaryPictureboxFor3DProcessing)).EndInit();
            this.groupBox14.ResumeLayout(false);
            this.groupBox14.PerformLayout();
            ((System.ComponentModel.ISupportInitialize)(this.videoSecondaryPictureboxFor3DProcessing)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.videoPrimaryPictureboxFor3DProcessing)).EndInit();
            this.ResumeLayout(false);
            this.PerformLayout();

        }

        #endregion


        /* Getters/setters: */

        public System.Windows.Forms.ToolStripMenuItem ExitToolStripMenuItem
        {
            get { return exitToolStripMenuItem; }
        }

        public System.Windows.Forms.ComboBox VideoDeviceDropdown
        {
            get { return videoDeviceDropdown; }
        }

        public System.Windows.Forms.Button HideUnhideVideoButton
        {
            get { return hideUnhideVideoButton; }

        }

        public System.Windows.Forms.Button PlayPauseVideoButton
        {
            get { return playPauseVideoButton; }
        }

        public System.Windows.Forms.PictureBox ImageProcessorPictureBox
        {
            get { return imageProcessorPictureBox; }
        }

        public System.Windows.Forms.PictureBox VideoSourcePictureBox
        {
            get { return videoSourcePictureBox; }
        }

        public System.Windows.Forms.Button HideUnhideProcessorButton
        {
            get { return hideUnhideProcessorButton; }
        }

        public System.Windows.Forms.Button PlayPauseProcessorButton
        {
            get { return playPauseProcessorButton; }
        }

        public System.Windows.Forms.Label FPSLabel
        {
            get { return fPSLabel; }
        }

        public System.Windows.Forms.Label PPSLabel
        {
            get { return pPSLabel; }
        }

        public System.Windows.Forms.Label ProcessorSpeedLabel
        {
            get { return processorSpeedLabel; }
        }

        public System.Windows.Forms.CheckBox MouselookCheckbox
        {
            get { return mouselookCheckbox; }
        }

        public System.Windows.Forms.CheckBox StartStop3DProcessingButton
        {
            get { return startStop3DProcessingButton; }
        }       
                
        public DirectXPanel DirectXPanel1
        {
            get { return directXPanel1; }
        }        
       
        /*
        public System.Windows.Forms.Panel DirectXPanel1
        {
            get { return directXPanel1; }            
        }
        */
                          
        public System.Windows.Forms.Label LongestProcessTimeLabel
        {
            get { return longestProcessTimeLabel; }
        }

        public float[] SecondaryDevicePositionAndAngle
        {
            get
            {
                float[] result = new float[5];
                result[0] = (float)secondaryDevicePositionXNumeric.Value;
                result[1] = (float)secondaryDevicePositionYNumeric.Value;
                result[2] = (float)secondaryDevicePositionZNumeric.Value;
                result[3] = (float)((System.Math.PI / 180) * (float)secondaryDeviceAngleXNumeric.Value);
                result[4] = (float)((System.Math.PI / 180) * (float)secondaryDeviceAngleYNumeric.Value);                

                return result;
            }            
        }

        public void SetImageInPrimaryVideoPictureBoxForMarkerCalibration(System.Drawing.Bitmap bitmap)
        {
            lock (imageInPrimaryVideoPictureboxForMarkerCalibrationLock)
            {
                this.videoPrimaryPictureboxForMarkerCalibration.Image = bitmap;
            }
        }
        public void SetImageInSecondaryVideoPictureBoxForMarkerCalibration(System.Drawing.Bitmap bitmap)
        {
            lock (imageInSecondaryVideoPictureboxForMarkerCalibrationLock)
            {
                this.videoSecondaryPictureboxForMarkerCalibration.Image = bitmap;
            }            
        }

        public void SetImageInPrimaryFilteredPictureBoxForMarkerCalibration(System.Drawing.Bitmap bitmap)
        {
            this.imageInPrimaryFilteredPictureBoxForMarkerCalibration.Image = bitmap;
        }
        public void SetImageInSecondaryFilteredPictureBoxForMarkerCalibration(System.Drawing.Bitmap bitmap)
        {
            this.imageInSecondaryFilteredPictureBoxForMarkerCalibration.Image = bitmap;
        }

        /* 3D Processing */

        public void SetImageInVideoPrimaryPictureboxFor3DProcessing(System.Drawing.Bitmap bitmap)
        {
            lock (this.imageInVideoPrimaryPictureboxFor3DProcessingLock)
            {
                this.videoPrimaryPictureboxFor3DProcessing.Image = bitmap;
            }
        }
        public void SetImageInVideoSecondaryPictureboxFor3DProcessing(System.Drawing.Bitmap bitmap)
        {
            lock (this.imageInVideoSecondaryPictureboxFor3DProcessingLock)
            {
                this.videoSecondaryPictureboxFor3DProcessing.Image = bitmap;
            }
        }

        public void SetImageInProcessedPrimaryPictureboxFor3DProcessing(System.Drawing.Bitmap bitmap)
        {
            lock (this.imageInProcessedPrimaryPictureboxFor3DProcessingLock)
            {
                this.processedPrimaryPictureboxFor3DProcessing.Image = bitmap;
            }
        }
        public void SetImageInProcessedSecondaryPictureboxFor3DProcessing(System.Drawing.Bitmap bitmap)
        {
            lock (this.imageInProcessedSecondaryPictureboxFor3DProcessingLock)
            {
                this.processedSecondaryPictureboxFor3DProcessing.Image = bitmap;
            }
        }

        public System.Windows.Forms.PictureBox VideoPrimaryPictureboxForMarkerCalibration
        {
            get { return videoPrimaryPictureboxForMarkerCalibration; }
        }
        public System.Windows.Forms.PictureBox VideoSecondaryPictureboxForMarkerCalibration
        {
            get { return videoSecondaryPictureboxForMarkerCalibration; }
        }


        /* Setter getter */
        /* for Marker Calibration */

        public CheckBox StartStopCheckboxForMarkerCalibration
        {
            get { return this.startStopCheckboxForMarkerCalibration; }
        }

        public Button RefreshVideoListButtonForMarkerCalibration
        {
            get { return this.refreshVideoListButtonForMarkerCalibration; }
        }

        public ComboBox VideoListComboboxPrimaryForMarkerCalibration
        {
            get { return this.videoListComboboxPrimaryForMarkerCalibration; }
        }
        public ComboBox VideoListComboboxSecondaryForMarkerCalibration
        {
            get { return this.videoListComboboxSecondaryForMarkerCalibration; }
        }

        public TrackBar TolerancePrimaryTrackbar
        {
            get { return this.tolerancePrimaryTrackbar; }
        }
        public TrackBar ToleranceSecondaryTrackbar
        {
            get { return this.toleranceSecondaryTrackbar; }
        }

        public Label TolerancePrimaryLabel
        {
            get { return this.tolerancePrimaryLabel; }
        }
        public Label ToleranceSecondaryLabel
        {
            get { return this.toleranceSecondaryLabel; }
        }

        public PictureBox ColorSamplePictureboxPrimaryForMarkerCalibration
        {
            get { return this.colorSamplePictureboxPrimaryForMarkerCalibration; }
        }
        public PictureBox ColorSamplePictureboxSecondaryForMarkerCalibration
        {
            get { return this.colorSamplePictureboxSecondaryForMarkerCalibration; }
        }

        public ListBox SampleListboxForMarkerCalibration
        {
            get { return this.sampleListboxForMarkerCalibration; }
        }

        public System.Windows.Forms.DataGridView Markers3DGrid
        {
            get { return markers3DGrid; }
        }

        public System.Windows.Forms.Label AcceptableSecondaryLabel
        {
            get { return acceptableSecondaryLabel; }
        }
        public System.Windows.Forms.Label AcceptablePrimaryLabel
        {
            get { return acceptablePrimaryLabel; }
        }

        public System.Windows.Forms.Button AddSampleButtonForMarkerCalibration
        {
            get { return addSampleButtonForMarkerCalibration; }
        }

        /* 3D Processing */
        public ComboBox VideoListSecondaryComboboxFor3DProcessing
        {
            get { return videoListSecondaryComboboxFor3DProcessing; }            
        }
        public ComboBox VideoListPrimaryComboboxFor3DProcessing
        {
            get { return videoListPrimaryComboboxFor3DProcessing; }            
        }

        public CheckBox StartStopCheckboxFor3DProcessing
        {
            get { return startStopCheckboxFor3DProcessing; }            
        }

        public Button RefreshVideoListButtonFor3DProcessing
        {
            get { return refreshVideoListButtonFor3DProcessing; }            
        }

        public PictureBox VideoPrimaryPictureboxFor3DProcessing
        {
            get { return videoPrimaryPictureboxFor3DProcessing; }
        }
        public PictureBox VideoSecondaryPictureboxFor3DProcessing
        {
            get { return videoSecondaryPictureboxFor3DProcessing; }
        }

        public PictureBox ProcessedSecondaryPictureboxFor3DProcessing
        {
            get { return processedSecondaryPictureboxFor3DProcessing; }
        }
        public PictureBox ProcessedPrimaryPictureboxFor3DProcessing
        {
            get { return processedPrimaryPictureboxFor3DProcessing; }
        }

        public DataGridView MarkersGridForStereoProcessing
        {
            get { return markerGridForStereoProcessing; }
        }




        /* Attributes: */

        private System.Windows.Forms.MenuStrip menuStrip1;
        private System.Windows.Forms.ToolStripMenuItem fileToolStripMenuItem;        
        private System.Windows.Forms.ToolStripMenuItem helpToolStripMenuItem;
        private System.Windows.Forms.ToolStripMenuItem aboutToolStripMenuItem;
        private System.Windows.Forms.TabControl tabControl1;
        private System.Windows.Forms.TabPage tabPage1;
        private System.Windows.Forms.Panel panel1;
        private System.Windows.Forms.TabPage tabPage2;                
        private System.Windows.Forms.GroupBox groupBox1;                
        private System.Windows.Forms.Panel panel2;
        private System.Windows.Forms.GroupBox groupBox4;
        private System.Windows.Forms.GroupBox groupBox3;
        private System.Windows.Forms.PictureBox imageProcessorPictureBox;
        private System.Windows.Forms.GroupBox groupBox2;
        private System.Windows.Forms.PictureBox videoSourcePictureBox;
        private System.Windows.Forms.TabPage markerCalibrationTabpage;
        private System.Windows.Forms.GroupBox groupBox5;
        private System.Windows.Forms.GroupBox groupBox6;
        private System.Windows.Forms.ComboBox videoDeviceDropdown;

        private System.Windows.Forms.ToolStripMenuItem exitToolStripMenuItem;
        private System.Windows.Forms.Button hideUnhideVideoButton;
        private System.Windows.Forms.Button playPauseVideoButton;
        private System.Windows.Forms.Button hideUnhideProcessorButton;
        private System.Windows.Forms.Button playPauseProcessorButton;
        private System.Windows.Forms.Label fPSLabel;
        private System.Windows.Forms.Label pPSLabel;
        private System.Windows.Forms.Label processorSpeedLabel;
        private System.Windows.Forms.CheckBox mouselookCheckbox;

        /*
         * The panel which displays the captured 3D space.
         */        
        //private Panel directXPanel1;
        private Graphene.DirectXPanel directXPanel1;

        private System.Windows.Forms.Label longestProcessTimeLabel;
        private System.Windows.Forms.Panel panel3;
        private System.Windows.Forms.GroupBox groupBox7;

        private System.Windows.Forms.GroupBox groupBox8;
        private System.Windows.Forms.Label label2;
        private System.Windows.Forms.Label label1;

        /**
         * A dropdown list in which we can select the ImageProcessors we want to use for markers' 3D position computation.
         */
        private System.Windows.Forms.ComboBox sourceProcessor1For3DDropdown;
        private System.Windows.Forms.ComboBox sourceProcessor2For3DDropdown;

        private System.Windows.Forms.NumericUpDown secondaryDeviceAngleZNumeric;
        private System.Windows.Forms.NumericUpDown secondaryDeviceAngleYNumeric;
        private System.Windows.Forms.NumericUpDown secondaryDeviceAngleXNumeric;
        private System.Windows.Forms.Label label4;
        private System.Windows.Forms.Label label3;
        private System.Windows.Forms.NumericUpDown secondaryDevicePositionZNumeric;
        private System.Windows.Forms.NumericUpDown secondaryDevicePositionYNumeric;
        private System.Windows.Forms.NumericUpDown secondaryDevicePositionXNumeric;
        private System.Windows.Forms.CheckBox startStop3DProcessingButton;
        private System.Windows.Forms.Panel panel4;
        private System.Windows.Forms.GroupBox groupBox10;
        private System.Windows.Forms.GroupBox groupBox9;
        private System.Windows.Forms.Label label8;
        private System.Windows.Forms.Label label6;        
        private System.Windows.Forms.Label label5;
        private System.Windows.Forms.ComboBox videoListComboboxSecondaryForMarkerCalibration;
        private System.Windows.Forms.ComboBox videoListComboboxPrimaryForMarkerCalibration;        
        private System.Windows.Forms.CheckBox startStopCheckboxForMarkerCalibration;
        private System.Windows.Forms.PictureBox videoPrimaryPictureboxForMarkerCalibration;
        private System.Windows.Forms.PictureBox videoSecondaryPictureboxForMarkerCalibration;
        private System.Windows.Forms.GroupBox groupBox11;
        private System.Windows.Forms.DataGridView markers3DGrid;
        private System.Windows.Forms.PictureBox colorSamplePictureboxSecondaryForMarkerCalibration;
        private System.Windows.Forms.PictureBox colorSamplePictureboxPrimaryForMarkerCalibration;
        private System.Windows.Forms.Button addSampleButtonForMarkerCalibration;
        private System.Windows.Forms.ListBox sampleListboxForMarkerCalibration;
        private System.Windows.Forms.Label label13;
        private System.Windows.Forms.Label acceptableSecondaryLabel;
        private System.Windows.Forms.Label acceptablePrimaryLabel;
        private System.Windows.Forms.PictureBox imageInSecondaryFilteredPictureBoxForMarkerCalibration;
        private System.Windows.Forms.PictureBox imageInPrimaryFilteredPictureBoxForMarkerCalibration;
        private System.Windows.Forms.Label label7;
        private System.Windows.Forms.Label label10;
        private System.Windows.Forms.Label label9;
        private System.Windows.Forms.Button button4;
        private System.Windows.Forms.Button addNewMarkerButtonForMarkerCalibration;
        private System.Windows.Forms.Label label14;
        private System.Windows.Forms.Label label15;
        private System.Windows.Forms.TrackBar tolerancePrimaryTrackbar;
        private System.Windows.Forms.TrackBar toleranceSecondaryTrackbar;
        private System.Windows.Forms.Label toleranceSecondaryLabel;
        private System.Windows.Forms.Label tolerancePrimaryLabel;
        private System.Windows.Forms.Button refreshVideoListButtonForMarkerCalibration;

        private readonly Object imageInPrimaryVideoPictureboxForMarkerCalibrationLock = new Object();
        private readonly Object imageInSecondaryVideoPictureboxForMarkerCalibrationLock = new Object();
        private Button removeSampleButtonForMarkerCalibration;
        private Button clearSamplesButtonForMarkerCalibration;
        private DataGridViewTextBoxColumn namePrimaryColumn;
        private DataGridViewImageColumn colorPrimaryColumn;
        private DataGridViewTextBoxColumn tolerancePrimaryColumn;
        private DataGridViewTextBoxColumn nameSecondaryColumn;
        private DataGridViewImageColumn colorSecondaryColumn;
        private DataGridViewTextBoxColumn toleranceSecondaryColumn;

        private readonly Object imageInVideoPrimaryPictureboxFor3DProcessingLock = new Object();
        private readonly Object imageInVideoSecondaryPictureboxFor3DProcessingLock = new Object();
        private readonly Object imageInProcessedPrimaryPictureboxFor3DProcessingLock = new Object();
        private readonly Object imageInProcessedSecondaryPictureboxFor3DProcessingLock = new Object();
        private TabPage processing3DTabpage;
        private Panel panel5;
        private GroupBox groupBox12;
        private Label label11;
        private Label label12;
        private DataGridView markerGridForStereoProcessing;
        private GroupBox groupBox13;
        private Label label19;
        private Label label20;
        private PictureBox processedSecondaryPictureboxFor3DProcessing;
        private PictureBox processedPrimaryPictureboxFor3DProcessing;     
        private Label label21;
        private GroupBox groupBox14;
        private Button refreshVideoListButtonFor3DProcessing;
        private Label label24;
        private Label label25;
        private ComboBox videoListSecondaryComboboxFor3DProcessing;
        private Label label26;
        private ComboBox videoListPrimaryComboboxFor3DProcessing;
        private PictureBox videoSecondaryPictureboxFor3DProcessing;
        private CheckBox startStopCheckboxFor3DProcessing;
        private PictureBox videoPrimaryPictureboxFor3DProcessing;
        private Label label17;
        private Label label16;
        private PictureBox pictureBox1;
        private DataGridViewCheckBoxColumn dataGridViewCheckBoxColumn3;
        private DataGridViewTextBoxColumn dataGridViewTextBoxColumn1;
        private DataGridViewImageColumn dataGridViewImageColumn1;
        private DataGridViewTextBoxColumn dataGridViewTextBoxColumn2;
        private DataGridViewTextBoxColumn dataGridViewTextBoxColumn3;
        private DataGridViewImageColumn dataGridViewImageColumn2;
        private DataGridViewTextBoxColumn dataGridViewTextBoxColumn4;        
    }
}

